# Clang 13 documentation

## Index

Symbols | C | E | N

## Symbols

- -###
  - command line option
- --amdgpu-arch-tool=<arg>
  - clang command line option
- --analyze
  - clang command line option
- --analyzer-no-default-checks
  - clang command line option
- --analyzer-output<arg>
  - clang command line option
- --ansi
  - clang command line option
- --assemble
  - clang command line option
- --assert <arg>
  - clang command line option
- --assert=<arg>
  - clang command line option
- --autocomplete=<arg>
  - clang command line option
- --bootclasspath <arg>
  - clang command line option
- --bootclasspath=<arg>
  - clang command line option
- --CLASSPATH <arg>
  - clang command line option
- --classpath <arg>
  - clang command line option
- --CLASSPATH=<arg>
  - clang command line option
- --classpath=<arg>
  - clang command line option
- --comments
  - clang command line option
- --comments-in-macros
  - clang command line option
- --compile
  - clang command line option
- --config <arg>
  - clang command line option
- --constant-cfstrings
  - clang command line option
- --coverage
  - clang command line option
- --cuda-compile-host-device
  - clang command line option
- --cuda-device-only
  - clang command line option
- --cuda-gpu-arch=<arg>
  - clang command line option
- --cuda-host-only
  - clang command line option
- --cuda-include-ptx=<arg>
  - clang command line option
- --cuda-noopt-device-debug
  - clang command line option
- --cuda-path-ignore-env
  - clang command line option
- --cuda-path=<arg>
  - clang command line option
- --debug
  - clang command line option
- --debug=<arg>
  - clang command line option
- --define-macro <arg>
  - clang command line option
- --define-macro=<arg>
  - clang command line option
- --dependencies
  - clang command line option
- --dyld-prefix <arg>
  - clang command line option
- --dyld-prefix=<arg>
  - clang command line option
- --emit-static-lib
  - clang command line option
- --encoding <arg>
  - clang command line option
- --encoding=<arg>
  - clang command line option
- --entry
  - clang command line option
- --extdirs <arg>
  - clang command line option
- --extdirs=<arg>
  - clang command line option
- --extra-warnings
  - clang command line option
- --for-linker <arg>
  - clang command line option
- --for-linker=<arg>
  - clang command line option
- --force-link <arg>
  - clang command line option
- --force-link=<arg>
  - clang command line option
- --gcc-toolchain=<arg>
  - clang command line option
- --gpu-bundle-output
  - clang command line option
- --gpu-instrument-lib=<arg>
  - clang command line option
- --gpu-max-threads-per-block=<arg>
  - clang command line option
- --help
  - clang command line option
  - command line option
- --help-hidden
  - clang command line option
- --hip-device-lib-path=<arg>
  - clang command line option
- --hip-device-lib=<arg>
  - clang command line option
- --hip-link
  - clang command line option
- --hip-path=<arg>
  - clang command line option
- --hip-version=<arg>
  - clang command line option
- --imacros<file>
  - clang command line option
- --imacros=<arg>
  - clang command line option
- --include-barrier
  - clang command line option
- --include-directory <arg>
  - clang command line option
- --include-directory-after <arg>
  - clang command line option
- --include-directory-after=<arg>
  - clang command line option
- --include-directory=<arg>
  - clang command line option
- --include-prefix <arg>
  - clang command line option
- --include-prefix=<arg>
  - clang command line option
- --include-with-prefix <arg>
  - clang command line option
- --include-with-prefix-after <arg>
  - clang command line option
- --include-with-prefix-after=<arg>
  - clang command line option
- --include-with-prefix-before <arg>
  - clang command line option
- --include-with-prefix-before=<arg>
  - clang command line option
- --include-with-prefix=<arg>
  - clang command line option
- --include<file>
  - clang command line option
- --include=<arg>
  - clang command line option
- --language <arg>
  - clang command line option
- --language=<arg>
  - clang command line option
- --ld-path=<arg>
  - clang command line option
- --libomptarget-amdgcn-bc-path=<arg>
  - clang command line option
- --libomptarget-nvptx-bc-path=<arg>
  - clang command line option
- --library-directory <arg>
  - clang command line option
- --library-directory=<arg>
  - clang command line option
- --mhwdiv <arg>
  - clang command line option
- --mhwdiv=<arg>
  - clang command line option
- --migrate
  - clang command line option
- --no-cuda-include-ptx=<arg>
  - clang command line option
- --no-cuda-noopt-device-debug
  - clang command line option
- --no-cuda-version-check
  - clang command line option
- --no-gpu-bundle-output
  - clang command line option
- --no-integrated-cpp
  - clang command line option
- --no-line-commands
  - clang command line option
- --no-offload-arch=<arg>
  - clang command line option
- --no-pedantic
  - clang command line option
- --no-standard-includes
  - clang command line option
- --no-standard-libraries
  - clang1 command line option
- --no-system-header-prefix=<prefix>
  - clang command line option
- --no-undefined
  - clang command line option
- --no-warnings
  - clang command line option
- --offload-arch=<arg>
  - clang command line option
- --optimize
  - clang command line option
- --optimize=<arg>
  - clang command line option
- --output <arg>
  - clang command line option
- --output-class-directory <arg>
  - clang command line option
- --output-class-directory=<arg>
  - clang command line option
- --output=<arg>
  - clang command line option
- --param <arg>
  - clang command line option
- --param=<arg>
  - clang command line option
- --pedantic
  - clang command line option
- --pedantic-errors
  - clang command line option
- --pipe
  - clang command line option
- --precompile
  - clang command line option
- --prefix <arg>
  - clang command line option
- --prefix=<arg>
  - clang command line option
- --preprocess
  - clang command line option
- --print-diagnostic-categories
  - clang command line option
- --print-effective-triple
  - clang command line option
- --print-file-name <arg>
  - clang command line option
- --print-file-name=<file>
  - clang command line option
- --print-libgcc-file-name
  - clang command line option
- --print-missing-file-dependencies
  - clang command line option
- --print-multi-directory
  - clang command line option
- --print-multi-lib
  - clang command line option
- --print-multiarch
  - clang command line option
- --print-prog-name <arg>
  - clang command line option
- --print-prog-name=<name>
  - clang command line option
- --print-resource-dir
  - clang command line option
- --print-rocm-search-dirs
  - clang command line option
- --print-runtime-dir
  - clang command line option
- --print-search-dirs
  - clang command line option
- --print-supported-cpus
  - clang command line option
  - command line option
- --print-target-triple
  - clang command line option
- --print-targets
  - clang command line option
- --profile
  - clang command line option
- --profile-blocks
  - clang command line option
- --ptxas-path=<arg>
  - clang command line option
- --relocatable-pch
  - clang command line option
- --resource <arg>
  - clang command line option
- --resource=<arg>
  - clang command line option
- --rocm-device-lib-path=<arg>
  - clang command line option
- --rocm-path=<arg>
  - clang command line option
- --rtlib <arg>
  - clang command line option
- --rtlib=<arg>
  - clang command line option
- --save-stats (equivalent to -save-stats=cwd)
  - clang command line option
- --save-stats=<arg>
  - clang command line option
- --save-temps (equivalent to -save-temps=cwd)
  - clang command line option
- --save-temps=<arg>
  - clang command line option
- --serialize-diagnostics <arg>
  - clang command line option
- --shared
  - clang command line option
- --signed-char
  - clang command line option
- --specs=<arg>
  - clang command line option
- --static
  - clang command line option
- --std <arg>
  - clang command line option
- --std=<arg>
  - clang command line option
- --stdlib <arg>
  - clang command line option
- --stdlib=<arg>
  - clang command line option
- --sysroot <arg>
  - clang command line option
- --sysroot=<arg>
  - clang command line option
- --system-header-prefix <arg>
  - clang command line option
- --system-header-prefix=<prefix>
  - clang command line option
- --target-help
  - clang command line option
- --target=<arg>
  - clang command line option
- --trace-includes
  - clang command line option
- --traditional
  - clang command line option
- --traditional-cpp
  - clang command line option
- --trigraphs
  - clang command line option
- --undefine-macro <arg>
  - clang command line option
- --undefine-macro=<arg>
  - clang command line option
- --unsigned-char
  - clang command line option
- --unwindlib=<arg>
  - clang command line option
- --user-dependencies
  - clang command line option
- --verbose
  - clang command line option
- --verify-debug-info
  - clang command line option
- --version
  - clang command line option
- --warn-<arg>
  - clang command line option
- --warn-=<arg>
  - clang command line option
- --write-dependencies
  - clang command line option
- --write-user-dependencies
  - clang command line option
- -A-<arg>
  - clang command line option
- -A<arg>
  - clang command line option
- -a<arg>
  - clang command line option
- -all\_load
  - clang command line option
- -allowable\_client <arg>
  - clang command line option
- -ansi
  - clang command line option
  - command line option
- -arch <arg>
  - clang command line option
- -arch\_errors\_fatal
  - clang1 command line option
- -arch\_only <arg>
  - clang2 command line option
- -arcmt-migrate-emit-errors
  - clang command line option
- -arcmt-migrate-report-output <arg>
  - clang command line option
- -B<prefix>
  - clang command line option
- -bind\_at\_load
  - clang command line option
- -bundle
  - clang command line option
- -bundle\_loader <arg>
  - clang1 command line option
- -C
  - clang command line option
- -c
  - clang command line option
  - command line option
- -CC
  - clang command line option
- -cl-denorms-are-zero
  - clang command line option
- -cl-ext
  - command line option
- -cl-fast-relaxed-math
  - clang command line option
- -cl-finite-math-only
  - clang command line option
- -cl-fp32-correctly-rounded-divide-sqrt
  - clang command line option
- -cl-kernel-arg-info
  - clang command line option
- -cl-mad-enable
  - clang command line option
- -cl-no-signed-zeros
  - clang command line option
- -cl-no-stdinc
  - clang command line option
  - command line option
- -cl-opt-disable
  - clang command line option
- -cl-single-precision-constant
  - clang command line option
- -cl-std=<arg>
  - clang command line option
- -cl-strict-aliasing
  - clang command line option
- -cl-uniform-work-group-size
  - clang command line option
- -cl-unsafe-math-optimizations
  - clang command line option
- -client\_name<arg>
  - clang command line option
- -compatibility\_version<arg>
  - clang command line option
- -coverage
  - clang command line option
- -cuid=<arg>
  - clang command line option
- -current\_version<arg>
  - clang command line option
- -cxx-isystem<directory>
  - clang command line option
- -d
  - clang command line option
- -d<arg>
  - clang1 command line option
- -D<macro>=<value>
  - clang command line option
- -D<macroname>=<value>
  - command line option
- -dA
  - clang command line option
- -dD
  - clang command line option
- -dead\_strip
  - clang command line option
- -dependency-dot <arg>
  - clang command line option
- -dependency-file <arg>
  - clang command line option
- -dI
  - clang command line option
- -dM
  - clang command line option
- -dsym-dir<dir>
  - clang command line option
- -dumpmachine
  - clang command line option
- -dumpversion
  - clang command line option
- -dylib\_file <arg>
  - clang command line option
- -dylinker
  - clang command line option
- -dylinker\_install\_name<arg>
  - clang1 command line option
- -dynamic
  - clang command line option
- -dynamiclib
  - clang command line option
- -E
  - clang command line option
  - command line option
- -e<arg>
  - clang command line option
- -EB
  - clang command line option
- -EL
  - clang command line option
- -emit-ast
  - clang command line option
- -emit-interface-stubs
  - clang command line option
- -emit-llvm
  - clang command line option
  - command line option
- -emit-merged-ifs
  - clang command line option
- -enable-trivial-auto-var-init-zero-knowing-it-will-be-removed-from-clang
  - clang command line option
- -exported\_symbols\_list <arg>
  - clang command line option
- -F<arg>
  - clang command line option
- -F<directory>
  - command line option
- -f[no-]protect-parens:
  - command line option
- -f[no-]save-optimization-record[=<format>]
  - command line option
- -faapcs-bitfield-load
  - clang command line option
- -faapcs-bitfield-width
  - clang command line option
- -faccess-control
  - clang command line option
- -faddrsig
  - clang command line option
  - command line option
- -faggressive-function-elimination
  - clang command line option
- -falign-commons
  - clang command line option
- -falign-functions
  - clang command line option
- -falign-functions=<arg>
  - clang1 command line option
- -faligned-allocation
  - clang1 command line option
- -faligned-new
  - clang1 command line option
- -faligned-new=<arg>
  - clang command line option
- -fall-intrinsics
  - clang command line option
- -fallow-editor-placeholders
  - clang command line option
- -fallow-unsupported
  - clang command line option
- -faltivec
  - clang command line option
- -fansi-escape-codes
  - clang command line option
- -fapple-kext
  - clang command line option
- -fapple-link-rtlib
  - clang command line option
- -fapple-pragma-pack
  - clang command line option
- -fapplication-extension
  - clang command line option
- -fasm
  - clang command line option
- -fasm-blocks
  - clang command line option
- -fassociative-math
  - clang command line option
- -fassume-sane-operator-new
  - clang command line option
- -fast
  - clang command line option
- -fastcp
  - clang command line option
- -fastf
  - clang command line option
- -fasync-exceptions
  - clang command line option
- -fasynchronous-unwind-tables
  - clang command line option
- -fauto-profile
  - clang command line option
- -fauto-profile-accurate
  - clang command line option
- -fauto-profile=<arg>
  - clang1 command line option
- -fautolink
  - clang command line option
- -fautomatic
  - clang command line option
- -fbacktrace
  - clang command line option
- -fbasic-block-sections=<arg>
  - clang command line option
- -fbinutils-version=<major.minor>
  - clang command line option
- -fblas-matmul-limit=<arg>
  - clang command line option
- -fblocks
  - clang command line option
  - command line option
- -fbootclasspath=<arg>
  - clang command line option
- -fborland-extensions
  - clang command line option
  - command line option
- -fbounds-check
  - clang command line option
- -fbracket-depth=<arg>
  - clang command line option
- -fbracket-depth=N
  - command line option
- -fbuild-session-file=<file>
  - clang command line option
- -fbuild-session-timestamp=<time since Epoch in seconds>
  - clang command line option
- -fbuiltin
  - clang command line option
- -fbuiltin-module-map
  - clang command line option
- -fc++-abi=<arg>
  - clang command line option
- -fc++-static-destructors
  - clang1 command line option
- -fcall-saved-x10
  - clang command line option
- -fcall-saved-x11
  - clang command line option
- -fcall-saved-x12
  - clang command line option
- -fcall-saved-x13
  - clang command line option
- -fcall-saved-x14
  - clang command line option
- -fcall-saved-x15
  - clang command line option
- -fcall-saved-x18
  - clang command line option
- -fcall-saved-x8
  - clang command line option
- -fcall-saved-x9
  - clang command line option
- -fcaret-diagnostics
  - clang command line option
  - command line option
- -fcf-protection (equivalent to -fcf-protection=full)
  - clang command line option
- -fcf-protection=<arg>
  - clang command line option
- -fcf-runtime-abi=<arg>
  - clang command line option
- -fchar8\_t
  - clang command line option
- -fcheck-array-temporaries
  - clang command line option
- -fcheck=<arg>
  - clang command line option
- -fclang-abi-compat=<version>
  - clang command line option
- -fclasspath=<arg>
  - clang command line option
- -fcoarray=<arg>
  - clang command line option
- -fcolor-diagnostics
  - clang command line option
- -fcomment-block-commands=<arg>,<arg2>...
  - clang command line option
- -fcomment-block-commands=[commands]
  - command line option
- -fcommon
  - clang command line option
  - command line option
- -fcompile-resource=<arg>
  - clang command line option
- -fcomplete-member-pointers
  - clang command line option
- -fconstant-cfstrings
  - clang command line option
- -fconstant-string-class=<arg>
  - clang command line option
- -fconstexpr-backtrace-limit=<arg>
  - clang command line option
- -fconstexpr-depth=<arg>
  - clang command line option
- -fconstexpr-depth=N
  - command line option
- -fconstexpr-steps=<arg>
  - clang command line option
- -fconstexpr-steps=N
  - command line option
- -fconvergent-functions
  - clang command line option
- -fconvert=<arg>
  - clang command line option
- -fcoroutines-ts
  - clang command line option
- -fcoverage-compilation-dir=<arg>
  - clang command line option
- -fcoverage-mapping
  - clang command line option
- -fcoverage-prefix-map=<arg>
  - clang command line option
- -fcrash-diagnostics-dir=<dir>
  - clang command line option
  - command line option
- -fcray-pointer
  - clang command line option
- -fcreate-profile
  - clang command line option
- -fcs-profile-generate
  - clang command line option
- -fcs-profile-generate=<directory>
  - clang1 command line option
- -fcs-profile-generate[=<dirname>]
  - command line option
- -fcuda-approx-transcendentals
  - clang command line option
- -fcuda-flush-denormals-to-zero
  - clang command line option
- -fcuda-rdc
  - clang command line option
- -fcuda-short-ptr
  - clang command line option
- -fcxx-exceptions
  - clang command line option
- -fcxx-modules
  - clang command line option
- -fd-lines-as-code
  - clang command line option
- -fd-lines-as-comments
  - clang command line option
- -fdata-sections
  - clang command line option
- -fdebug-compilation-dir <arg>
  - clang command line option
- -fdebug-compilation-dir=<arg>
  - clang command line option
- -fdebug-default-version=<arg>
  - clang command line option
- -fdebug-info-for-profiling
  - clang command line option
- -fdebug-macro
  - clang command line option
  - command line option
- -fdebug-pass-arguments
  - clang command line option
- -fdebug-pass-structure
  - clang command line option
- -fdebug-prefix-map=<arg>
  - clang command line option
- -fdebug-ranges-base-address
  - clang command line option
- -fdebug-types-section
  - clang command line option
- -fdeclare-opencl-builtins
  - command line option
- -fdeclspec
  - clang command line option
- -fdelayed-template-parsing
  - clang command line option
- -fdelete-null-pointer-checks
  - clang command line option
- -fdenormal-fp-math=<arg>
  - clang command line option
- -fdenormal-fp-math=<value>
  - command line option
- -fdepfile-entry=<arg>
  - clang command line option
- -fdiagnostics-absolute-paths
  - clang command line option
- -fdiagnostics-color
  - clang command line option
- -fdiagnostics-color=<arg>
  - clang1 command line option
- -fdiagnostics-fixit-info
  - clang command line option
  - command line option
- -fdiagnostics-format=<arg>
  - clang command line option
- -fdiagnostics-format=clang/msvc/vi
  - command line option
- -fdiagnostics-hotness-threshold=<value>
  - clang command line option
- -fdiagnostics-parseable-fixits
  - clang command line option
  - command line option, [1]
- -fdiagnostics-print-source-range-info
  - clang command line option
  - command line option
- -fdiagnostics-show-category=<arg>
  - clang command line option
- -fdiagnostics-show-category=none/id/name
  - command line option
- -fdiagnostics-show-hotness
  - clang command line option
- -fdiagnostics-show-note-include-stack
  - clang command line option
- -fdiagnostics-show-option
  - clang command line option
  - command line option
- -fdiagnostics-show-template-tree
  - clang command line option
  - command line option
- -fdigraphs
  - clang command line option
- -fdirect-access-external-data
  - clang command line option
- -fdiscard-value-names
  - clang command line option
  - command line option
- -fdollar-ok
  - clang command line option
- -fdollars-in-identifiers
  - clang command line option
- -fdouble-square-bracket-attributes
  - clang command line option
- -fdump-fortran-optimized
  - clang command line option
- -fdump-fortran-original
  - clang command line option
- -fdump-parse-tree
  - clang command line option
- -fdwarf-directory-asm
  - clang command line option
- -fdwarf-exceptions
  - clang command line option
- -felide-constructors
  - clang command line option
- -feliminate-unused-debug-symbols
  - clang command line option
- -feliminate-unused-debug-types
  - clang command line option
  - command line option, [1]
- -fembed-bitcode (equivalent to -fembed-bitcode=all)
  - clang command line option
- -fembed-bitcode-marker (equivalent to -fembed-bitcode=marker)
  - clang command line option
- -fembed-bitcode=<option>
  - clang command line option
- -femit-all-decls
  - clang command line option
- -femulated-tls
  - clang command line option
  - command line option
- -fenable-matrix
  - clang command line option
- -fencoding=<arg>
  - clang command line option
- -ferror-limit=123
  - command line option
- -ferror-limit=<arg>
  - clang command line option
- -fescaping-block-tail-calls
  - clang command line option
- -fexceptions
  - clang command line option
  - command line option
- -fexec-charset=<arg>
  - clang command line option
- -fexperimental-isel
  - clang command line option
- -fexperimental-new-constant-interpreter
  - clang command line option
- -fexperimental-relative-c++-abi-vtables
  - clang command line option
- -fexperimental-strict-floating-point
  - clang command line option
- -fextdirs=<arg>
  - clang command line option
- -fextend-arguments=<arg>
  - clang command line option
- -fexternal-blas
  - clang command line option
- -ff2c
  - clang command line option
- -ffake-address-space-map
  - command line option
- -ffast-math
  - clang command line option
  - command line option
- -ffile-compilation-dir=<arg>
  - clang command line option
- -ffile-prefix-map=<arg>
  - clang command line option
- -ffine-grained-bitfield-accesses
  - clang command line option
- -ffinite-loops
  - clang command line option
- -ffinite-math-only
  - clang command line option
- -ffixed-a0
  - clang command line option
- -ffixed-a1
  - clang command line option
- -ffixed-a2
  - clang command line option
- -ffixed-a3
  - clang command line option
- -ffixed-a4
  - clang command line option
- -ffixed-a5
  - clang command line option
- -ffixed-a6
  - clang command line option
- -ffixed-d0
  - clang command line option
- -ffixed-d1
  - clang command line option
- -ffixed-d2
  - clang command line option
- -ffixed-d3
  - clang command line option
- -ffixed-d4
  - clang command line option
- -ffixed-d5
  - clang command line option
- -ffixed-d6
  - clang command line option
- -ffixed-d7
  - clang command line option
- -ffixed-point
  - clang command line option
- -ffixed-r19
  - clang command line option
- -ffixed-r9
  - clang command line option
- -ffixed-x1
  - clang command line option
- -ffixed-x10
  - clang command line option
- -ffixed-x11
  - clang command line option
- -ffixed-x12
  - clang command line option
- -ffixed-x13
  - clang command line option
- -ffixed-x14
  - clang command line option
- -ffixed-x15
  - clang command line option
- -ffixed-x16
  - clang command line option
- -ffixed-x17
  - clang command line option
- -ffixed-x18
  - clang command line option
- -ffixed-x19
  - clang command line option
- -ffixed-x2
  - clang command line option
- -ffixed-x20
  - clang command line option
- -ffixed-x21
  - clang command line option
- -ffixed-x22
  - clang command line option
- -ffixed-x23
  - clang command line option
- -ffixed-x24
  - clang command line option
- -ffixed-x25
  - clang command line option
- -ffixed-x26
  - clang command line option
- -ffixed-x27
  - clang command line option
- -ffixed-x28
  - clang command line option
- -ffixed-x29
  - clang command line option
- -ffixed-x3
  - clang command line option
- -ffixed-x30
  - clang command line option
- -ffixed-x31
  - clang command line option
- -ffixed-x4
  - clang command line option
- -ffixed-x5
  - clang command line option
- -ffixed-x6
  - clang command line option
- -ffixed-x7
  - clang command line option
- -ffixed-x8
  - clang command line option
- -ffixed-x9
  - clang command line option
- -ffor-scope
  - clang command line option
- -fforce-dwarf-frame
  - clang command line option
- -fforce-emit-vtables
  - clang command line option
  - command line option
- -fforce-enable-int128
  - clang command line option
- -ffp-contract=<arg>
  - clang command line option
- -ffp-contract=<value>
  - command line option
- -ffp-exception-behavior=<arg>
  - clang command line option
- -ffp-exception-behavior=<value>
  - command line option
- -ffp-model=<arg>
  - clang command line option
- -ffp-model=<value>
  - command line option
- -ffpe-trap=<arg>
  - clang command line option
- -ffree-line-length-<arg>
  - clang command line option
- -ffreestanding
  - clang command line option
  - command line option
- -ffrontend-optimize
  - clang command line option
- -ffunction-sections
  - clang command line option
- -fglobal-isel
  - clang command line option
- -fgnu-inline-asm
  - clang command line option
- -fgnu-keywords
  - clang command line option
- -fgnu-runtime
  - clang command line option
- -fgnu89-inline
  - clang command line option
- -fgnuc-version=
  - command line option
- -fgnuc-version=<arg>
  - clang command line option
- -fgpu-allow-device-init
  - clang command line option
- -fgpu-defer-diag
  - clang command line option
- -fgpu-flush-denormals-to-zero
  - clang command line option
- -fgpu-rdc
  - clang command line option
- -fgpu-sanitize
  - clang command line option
- -fheinous-gnu-extensions
  - clang command line option
- -fhip-fp32-correctly-rounded-divide-sqrt
  - clang command line option
- -fhip-new-launch-api
  - clang command line option
- -fhonor-infinites
  - clang command line option
- -fhonor-infinities
  - clang command line option
- -fhonor-nans
  - clang command line option
- -fhosted
  - clang command line option
- -fident
  - clang command line option
- -fignore-exceptions
  - clang command line option
- -filelist <arg>
  - clang command line option
- -fimplicit-module-maps
  - clang command line option
- -fimplicit-modules
  - clang command line option
- -finclude-default-header
  - command line option
- -findirect-virtual-calls
  - clang command line option
- -finit-character=<arg>
  - clang command line option
- -finit-integer=<arg>
  - clang command line option
- -finit-local-zero
  - clang command line option
- -finit-logical=<arg>
  - clang command line option
- -finit-real=<arg>
  - clang command line option
- -finline-functions
  - clang command line option
- -finline-hint-functions
  - clang command line option
- -finput-charset=<arg>
  - clang command line option
- -finstrument-function-entry-bare
  - clang command line option
- -finstrument-functions
  - clang command line option
- -finstrument-functions-after-inlining
  - clang command line option
- -finteger-4-integer-8
  - clang command line option
- -fintegrated-as
  - clang command line option
- -fintegrated-cc1
  - clang command line option
- -fjump-tables
  - clang command line option
- -fkeep-static-consts
  - clang command line option
- -flat\_namespace
  - clang command line option
- -flax-vector-conversions
  - command line option
- -flax-vector-conversions (equivalent to -flax-vector-conversions=integer)
  - clang command line option
- -flax-vector-conversions=<arg>
  - clang command line option
- -flax-vector-conversions=<kind>
  - command line option
- -flegacy-pass-manager
  - clang command line option
- -flimited-precision=<arg>
  - clang command line option
- -flto
  - clang command line option
  - command line option
- -flto-jobs=<arg>
  - clang command line option
- -flto=<arg>
  - clang1 command line option
- -flto=auto
  - clang2 command line option
- -flto=full
  - command line option
- -flto=jobserver
  - clang3 command line option
- -flto=thin
  - command line option
- -fmacro-backtrace-limit=<arg>
  - clang command line option
- -fmacro-prefix-map=<arg>
  - clang command line option
- -fmath-errno
  - clang command line option
  - command line option
- -fmax-array-constructor=<arg>
  - clang command line option
- -fmax-errors=<arg>
  - clang command line option
- -fmax-identifier-length
  - clang command line option
- -fmax-stack-var-size=<arg>
  - clang command line option
- -fmax-subrecord-length=<arg>
  - clang command line option
- -fmax-tokens=<arg>
  - clang command line option
- -fmax-type-align=<arg>
  - clang command line option
- -fmemory-profile
  - clang command line option
- -fmemory-profile=<directory>
  - clang1 command line option
- -fmerge-all-constants
  - clang command line option
- -fmessage-length
  - command line option
- -fmessage-length=<arg>
  - clang command line option
- -fmodule-file-deps
  - clang command line option
- -fmodule-file=\[<name>=\]<file>
  - clang command line option
- -fmodule-implementation-of <arg>
  - clang command line option
- -fmodule-map-file=<file>
  - clang command line option
- -fmodule-maps
  - clang command line option
- -fmodule-name=<name>
  - clang command line option
- -fmodule-private
  - clang command line option
- -fmodules
  - clang command line option
- -fmodules-cache-path=<directory>
  - clang command line option
- -fmodules-decluse
  - clang command line option
- -fmodules-disable-diagnostic-validation
  - clang command line option
- -fmodules-ignore-macro=<arg>
  - clang command line option
- -fmodules-prune-after=<seconds>
  - clang command line option
- -fmodules-prune-interval=<seconds>
  - clang command line option
- -fmodules-search-all
  - clang command line option
- -fmodules-strict-decluse
  - clang command line option
- -fmodules-ts
  - clang command line option
- -fmodules-user-build-path <directory>
  - clang command line option
- -fmodules-validate-input-files-content
  - clang command line option
- -fmodules-validate-once-per-build-session
  - clang command line option
- -fmodules-validate-system-headers
  - clang command line option
- -fms-compatibility
  - clang command line option
- -fms-compatibility-version=<arg>
  - clang command line option
- -fms-extensions
  - clang command line option
  - command line option
- -fms-memptr-rep=<arg>
  - clang command line option
- -fms-volatile
  - clang command line option
- -fmsc-version=
  - command line option
- -fmsc-version=<arg>
  - clang command line option
- -fmudflap
  - clang command line option
- -fmudflapth
  - clang command line option
- -fnested-functions
  - clang command line option
- -fnew-alignment <arg>
  - clang command line option
- -fnew-alignment=<align>
  - clang command line option
- -fnext-runtime
  - clang command line option
- -fno-aapcs-bitfield-width
  - clang command line option
- -fno-access-control
  - clang command line option
- -fno-addrsig
  - clang command line option
  - command line option
- -fno-aggressive-function-elimination
  - clang command line option
- -fno-align-commons
  - clang command line option
- -fno-align-functions
  - clang command line option
- -fno-aligned-allocation
  - clang1 command line option
- -fno-all-intrinsics
  - clang command line option
- -fno-allow-editor-placeholders
  - clang command line option
- -fno-altivec
  - clang command line option
- -fno-apple-pragma-pack
  - clang command line option
- -fno-application-extension
  - clang command line option
- -fno-asm
  - clang command line option
- -fno-asm-blocks
  - clang command line option
- -fno-associative-math
  - clang command line option
- -fno-assume-sane-operator-new
  - clang command line option
  - command line option
- -fno-async-exceptions
  - clang command line option
- -fno-asynchronous-unwind-tables
  - clang command line option
- -fno-autolink
  - clang command line option
- -fno-automatic
  - clang command line option
- -fno-backtrace
  - clang command line option
- -fno-blocks
  - clang command line option
- -fno-borland-extensions
  - clang command line option
- -fno-bounds-check
  - clang command line option
- -fno-builtin
  - clang command line option
  - command line option
- -fno-builtin-<arg>
  - clang command line option
- -fno-c++-static-destructors
  - clang1 command line option
- -fno-caret-diagnostics
  - clang command line option
- -fno-char8\_t
  - clang command line option
- -fno-check-array-temporaries
  - clang command line option
- -fno-color-diagnostics
  - clang command line option
- -fno-common
  - clang command line option
  - command line option
- -fno-complete-member-pointers
  - clang command line option
- -fno-constant-cfstrings
  - clang command line option
- -fno-coroutines-ts
  - clang command line option
- -fno-coverage-mapping
  - clang command line option
- -fno-crash-diagnostics
  - clang command line option
  - command line option
- -fno-cray-pointer
  - clang command line option
- -fno-cuda-approx-transcendentals
  - clang command line option
- -fno-cuda-short-ptr
  - clang command line option
- -fno-cxx-exceptions
  - clang command line option
- -fno-cxx-modules
  - clang command line option
- -fno-d-lines-as-code
  - clang command line option
- -fno-d-lines-as-comments
  - clang command line option
- -fno-data-sections
  - clang command line option
- -fno-debug-info-for-profiling
  - clang command line option
- -fno-debug-macro
  - clang command line option
  - command line option
- -fno-debug-ranges-base-address
  - clang command line option
- -fno-debug-types-section
  - clang command line option
- -fno-declspec
  - clang command line option
- -fno-delayed-template-parsing
  - clang command line option
- -fno-delete-null-pointer-checks
  - clang command line option
- -fno-diagnostics-color
  - clang command line option
- -fno-diagnostics-fixit-info
  - clang command line option
- -fno-diagnostics-show-hotness
  - clang command line option
- -fno-diagnostics-show-note-include-stack
  - clang command line option
- -fno-diagnostics-show-option
  - clang command line option
- -fno-digraphs
  - clang command line option
- -fno-direct-access-external-data
  - clang command line option
- -fno-discard-value-names
  - clang command line option
  - command line option
- -fno-dollar-ok
  - clang command line option
- -fno-dollars-in-identifiers
  - clang command line option
- -fno-double-square-bracket-attributes
  - clang command line option
- -fno-dump-fortran-optimized
  - clang command line option
- -fno-dump-fortran-original
  - clang command line option
- -fno-dump-parse-tree
  - clang command line option
- -fno-dwarf-directory-asm
  - clang command line option
- -fno-elide-constructors
  - clang command line option
- -fno-elide-type
  - clang command line option
  - command line option
- -fno-eliminate-unused-debug-symbols
  - clang command line option
- -fno-eliminate-unused-debug-types
  - clang command line option
- -fno-emulated-tls
  - clang command line option
- -fno-escaping-block-tail-calls
  - clang command line option
- -fno-exceptions
  - clang command line option
- -fno-experimental-new-pass-manager
  - clang command line option
- -fno-experimental-relative-c++-abi-vtables
  - clang command line option
- -fno-external-blas
  - clang command line option
- -fno-f2c
  - clang command line option
- -fno-fast-math
  - clang command line option
- -fno-fine-grained-bitfield-accesses
  - clang command line option
- -fno-finite-loops
  - clang command line option
- -fno-finite-math-only
  - clang command line option
- -fno-fixed-point
  - clang command line option
- -fno-for-scope
  - clang command line option
- -fno-force-dwarf-frame
  - clang command line option
- -fno-force-emit-vtables
  - clang command line option
- -fno-force-enable-int128
  - clang command line option
- -fno-frontend-optimize
  - clang command line option
- -fno-function-sections
  - clang command line option
- -fno-global-isel
  - clang command line option
- -fno-gnu-inline-asm
  - clang command line option
- -fno-gnu-keywords
  - clang command line option
- -fno-gnu89-inline
  - clang command line option
- -fno-gpu-allow-device-init
  - clang command line option
- -fno-gpu-defer-diag
  - clang command line option
- -fno-gpu-flush-denormals-to-zero
  - clang command line option
- -fno-gpu-rdc
  - clang command line option
- -fno-gpu-sanitize
  - clang command line option
- -fno-hip-fp32-correctly-rounded-divide-sqrt
  - clang command line option
- -fno-hip-new-launch-api
  - clang command line option
- -fno-honor-infinities
  - clang command line option
- -fno-honor-nans
  - clang command line option
- -fno-ident
  - clang command line option
- -fno-implicit-module-maps
  - clang command line option
- -fno-implicit-modules
  - clang command line option
- -fno-init-local-zero
  - clang command line option
- -fno-inline-functions
  - clang command line option
- -fno-integer-4-integer-8
  - clang command line option
- -fno-integrated-as
  - clang command line option
- -fno-integrated-cc1
  - clang command line option
- -fno-jump-tables
  - clang command line option
- -fno-keep-static-consts
  - clang command line option
- -fno-lax-vector-conversions
  - command line option
- -fno-lax-vector-conversions (equivalent to -flax-vector-conversions=none)
  - clang command line option
- -fno-legacy-pass-manager
  - clang command line option
- -fno-limit-debug-info
  - clang command line option
- -fno-lto
  - clang command line option
- -fno-math-errno
  - clang command line option
- -fno-max-identifier-length
  - clang command line option
- -fno-max-type-align
  - clang command line option
- -fno-memory-profile
  - clang command line option
- -fno-merge-all-constants
  - clang command line option
- -fno-module-file-deps
  - clang command line option
- -fno-module-private
  - clang command line option
- -fno-modules
  - clang command line option
- -fno-modules-decluse
  - clang command line option
- -fno-modules-search-all
  - clang command line option
- -fno-modules-validate-system-headers
  - clang command line option
- -fno-ms-compatibility
  - clang command line option
- -fno-ms-extensions
  - clang command line option
- -fno-objc-arc
  - clang command line option
- -fno-objc-arc-exceptions
  - clang command line option
- -fno-objc-convert-messages-to-runtime-calls
  - clang command line option
- -fno-objc-encode-cxx-class-template-spec
  - clang command line option
- -fno-objc-exceptions
  - clang command line option
- -fno-objc-infer-related-result-type
  - clang command line option
- -fno-objc-legacy-dispatch
  - clang command line option
- -fno-objc-nonfragile-abi
  - clang command line option
  - command line option
- -fno-objc-weak
  - clang command line option
- -fno-offload-lto
  - clang command line option
- -fno-omit-frame-pointer
  - clang command line option
- -fno-openmp
  - clang command line option
- -fno-openmp-simd
  - clang command line option
- -fno-operator-names
  - clang command line option
- -fno-optimize-sibling-calls
  - clang command line option
- -fno-pack-derived
  - clang command line option
- -fno-pack-struct
  - clang command line option
- -fno-pascal-strings
  - clang command line option
- -fno-pch-codegen
  - clang command line option
- -fno-pch-debuginfo
  - clang command line option
- -fno-pch-instantiate-templates
  - clang command line option
- -fno-PIC
  - clang command line option
- -fno-pic
  - clang command line option
- -fno-PIE
  - clang command line option
- -fno-pie
  - clang command line option
- -fno-plt
  - clang command line option
- -fno-prebuilt-implicit-modules
  - clang command line option
- -fno-preserve-as-comments
  - clang command line option
- -fno-profile-arcs
  - clang command line option
- -fno-profile-generate
  - clang command line option
- -fno-profile-instr-generate
  - clang command line option
- -fno-profile-instr-use
  - clang command line option
- -fno-profile-sample-accurate
  - clang command line option
- -fno-profile-sample-use
  - clang command line option
- -fno-protect-parens
  - clang command line option
- -fno-pseudo-probe-for-profiling
  - clang command line option
- -fno-range-check
  - clang command line option
- -fno-real-4-real-10
  - clang command line option
- -fno-real-4-real-16
  - clang command line option
- -fno-real-4-real-8
  - clang command line option
- -fno-real-8-real-10
  - clang command line option
- -fno-real-8-real-16
  - clang command line option
- -fno-real-8-real-4
  - clang command line option
- -fno-realloc-lhs
  - clang command line option
- -fno-reciprocal-math
  - clang command line option
- -fno-record-command-line
  - clang command line option
- -fno-recursive
  - clang command line option
- -fno-register-global-dtors-with-atexit
  - clang command line option
- -fno-relaxed-template-template-args
  - clang command line option
- -fno-repack-arrays
  - clang command line option
- -fno-reroll-loops
  - clang command line option
- -fno-rewrite-imports
  - clang command line option
- -fno-rewrite-includes
  - clang command line option
- -fno-ropi
  - clang command line option
- -fno-rounding-math
  - clang command line option
- -fno-rtlib-add-rpath
  - clang command line option
- -fno-rtti
  - clang command line option
- -fno-rtti-data
  - clang command line option
- -fno-rwpi
  - clang command line option
- -fno-sanitize-address-poison-custom-array-cookie
  - clang command line option
- -fno-sanitize-address-use-after-scope
  - clang command line option
- -fno-sanitize-address-use-odr-indicator
  - clang command line option
- -fno-sanitize-blacklist
  - clang command line option
- -fno-sanitize-cfi-canonical-jump-tables
  - clang command line option
- -fno-sanitize-cfi-cross-dso
  - clang command line option
- -fno-sanitize-coverage=<arg1>,<arg2>...
  - clang command line option
- -fno-sanitize-hwaddress-experimental-aliasing
  - clang command line option
- -fno-sanitize-ignorelist
  - clang command line option
  - command line option
- -fno-sanitize-link-c++-runtime
  - clang command line option
- -fno-sanitize-link-runtime
  - clang command line option
- -fno-sanitize-memory-track-origins
  - clang command line option
- -fno-sanitize-memory-use-after-dtor
  - clang command line option
- -fno-sanitize-minimal-runtime
  - clang command line option
- -fno-sanitize-recover=<arg1>,<arg2>...
  - clang command line option
- -fno-sanitize-stats
  - clang command line option
- -fno-sanitize-thread-atomics
  - clang command line option
- -fno-sanitize-thread-func-entry-exit
  - clang command line option
- -fno-sanitize-thread-memory-access
  - clang command line option
- -fno-sanitize-trap=<arg1>,<arg2>...
  - clang command line option
- -fno-sanitize=<arg1>,<arg2>...
  - clang command line option
- -fno-save-optimization-record
  - clang command line option
- -fno-second-underscore
  - clang command line option
- -fno-semantic-interposition
  - clang command line option
- -fno-short-enums
  - clang command line option
- -fno-short-wchar
  - clang command line option
- -fno-show-column
  - clang command line option
- -fno-show-source-location
  - clang command line option
- -fno-sign-zero
  - clang command line option
- -fno-signaling-math
  - clang command line option
- -fno-signed-char
  - clang command line option
- -fno-signed-zeros
  - clang command line option
- -fno-sized-deallocation
  - clang command line option
- -fno-slp-vectorize
  - clang command line option
- -fno-spell-checking
  - clang command line option
- -fno-split-dwarf-inlining
  - clang command line option
- -fno-split-lto-unit
  - clang command line option
- -fno-split-machine-functions
  - clang command line option
- -fno-split-stack
  - clang command line option
- -fno-stack-arrays
  - clang command line option
- -fno-stack-clash-protection
  - clang command line option
- -fno-stack-protector
  - clang command line option
- -fno-stack-size-section
  - clang command line option
- -fno-standalone-debug
  - clang command line option
  - command line option
- -fno-strict-aliasing
  - clang command line option
- -fno-strict-enums
  - clang command line option
- -fno-strict-float-cast-overflow
  - clang command line option
- -fno-strict-modules-decluse
  - clang command line option
- -fno-strict-overflow
  - clang command line option
- -fno-strict-return
  - clang command line option
- -fno-strict-vtable-pointers
  - clang command line option
- -fno-struct-path-tbaa
  - clang command line option
- -fno-sycl
  - clang command line option
- -fno-temp-file
  - clang command line option
- -fno-test-coverage
  - clang command line option
- -fno-threadsafe-statics
  - clang command line option
- -fno-trapping-math
  - clang command line option
- -fno-trigraphs
  - clang command line option
- -fno-underscoring
  - clang command line option
- -fno-unique-basic-block-section-names
  - clang command line option
- -fno-unique-internal-linkage-names
  - clang command line option
- -fno-unique-section-names
  - clang command line option
- -fno-unit-at-a-time
  - clang command line option
- -fno-unroll-loops
  - clang command line option
- -fno-unsafe-math-optimizations
  - clang command line option
- -fno-unsigned-char
  - clang command line option
- -fno-unwind-tables
  - clang command line option
- -fno-use-cxa-atexit
  - clang command line option
- -fno-use-init-array
  - clang command line option
- -fno-use-line-directives
  - clang command line option
- -fno-vectorize
  - clang command line option
- -fno-verbose-asm
  - clang command line option
- -fno-virtual-function-elimination
  - clang command line option
- -fno-visibility-from-dllstorageclass
  - clang command line option
- -fno-visibility-inlines-hidden
  - clang command line option
- -fno-visibility-inlines-hidden-static-local-var
  - clang command line option
- -fno-whole-file
  - clang command line option
- -fno-whole-program-vtables
  - clang command line option
- -fno-working-directory
  - clang command line option
- -fno-wrapv
  - clang command line option
- -fno-xl-pragma-pack
  - clang command line option
- -fno-xray-always-emit-customevents
  - clang command line option
- -fno-xray-always-emit-typedevents
  - clang command line option
- -fno-xray-function-index
  - clang command line option
- -fno-xray-ignore-loops
  - clang command line option
- -fno-xray-instrument
  - clang command line option
- -fno-zero-initialized-in-bss
  - clang command line option
- -fno-zvector
  - clang command line option
- -fno\_modules-validate-input-files-content
  - clang command line option
- -fno\_pch-validate-input-files-content
  - clang1 command line option
- -fnoxray-link-deps
  - clang command line option
- -fobjc-abi-version=<arg>
  - clang command line option
- -fobjc-abi-version=version
  - command line option
- -fobjc-arc
  - clang command line option
- -fobjc-arc-exceptions
  - clang command line option
- -fobjc-convert-messages-to-runtime-calls
  - clang command line option
- -fobjc-disable-direct-methods-for-testing
  - clang command line option
- -fobjc-encode-cxx-class-template-spec
  - clang command line option
- -fobjc-exceptions
  - clang command line option
- -fobjc-infer-related-result-type
  - clang command line option
- -fobjc-legacy-dispatch
  - clang command line option
- -fobjc-link-runtime
  - clang command line option
- -fobjc-nonfragile-abi
  - clang command line option
  - command line option
- -fobjc-nonfragile-abi-version=<arg>
  - clang command line option
- -fobjc-nonfragile-abi-version=<version>
  - command line option
- -fobjc-runtime=<arg>
  - clang command line option
- -fobjc-sender-dependent-dispatch
  - clang command line option
- -fobjc-weak
  - clang command line option
- -foffload-lto
  - clang command line option
- -foffload-lto=<arg>
  - clang1 command line option
- -fomit-frame-pointer
  - clang command line option
- -fopenmp
  - clang command line option
- -fopenmp-simd
  - clang command line option
- -fopenmp-targets=<arg1>,<arg2>...
  - clang command line option
- -fopenmp-use-tls
  - command line option
- -fopenmp-version=<arg>
  - clang command line option
- -fopenmp=<arg>
  - clang1 command line option
- -foperator-arrow-depth=<arg>
  - clang command line option
- -foperator-arrow-depth=N
  - command line option
- -foperator-names
  - clang command line option
- -foptimization-record-file=<file>
  - clang command line option
- -foptimization-record-passes=<regex>
  - clang command line option
- -foptimize-sibling-calls
  - clang command line option
- -force\_cpusubtype\_ALL
  - clang command line option
- -force\_flat\_namespace
  - clang1 command line option
- -force\_load <arg>
  - clang2 command line option
- -forder-file-instrumentation
  - clang command line option
- -foutput-class-dir=<arg>
  - clang command line option
- -fpack-derived
  - clang command line option
- -fpack-struct
  - clang command line option
- -fpack-struct=<arg>
  - clang1 command line option
- -fparse-all-comments
  - clang command line option
  - command line option
- -fpascal-strings
  - clang command line option
  - command line option
- -fpass-plugin=<dsopath>
  - clang command line option
- -fpatchable-function-entry=<N,M>
  - clang command line option
- -fpcc-struct-return
  - clang command line option
- -fpch-codegen
  - clang command line option
- -fpch-debuginfo
  - clang command line option
- -fpch-instantiate-templates
  - clang command line option
- -fpch-preprocess
  - clang command line option
- -fpch-validate-input-files-content
  - clang command line option
- -fPIC
  - clang command line option
- -fpic
  - clang command line option
- -fPIE
  - clang command line option
- -fpie
  - clang command line option
- -fplt
  - clang command line option
- -fplugin=<dsopath>
  - clang command line option
- -fprebuilt-implicit-modules
  - clang command line option
- -fprebuilt-module-path=<directory>
  - clang command line option
- -fpreserve-as-comments
  - clang command line option
- -fprint-source-range-info
  - command line option
- -fproc-stat-report<arg>
  - clang command line option
- -fproc-stat-report=
  - command line option
- -fproc-stat-report=<arg>
  - clang1 command line option
- -fprofile-arcs
  - clang command line option
- -fprofile-dir=<arg>
  - clang command line option
- -fprofile-exclude-files=<arg>
  - clang command line option
- -fprofile-exclude-files=[regexes]
  - command line option
- -fprofile-filter-files=<arg>
  - clang command line option
- -fprofile-filter-files=[regexes]
  - command line option
- -fprofile-generate
  - clang command line option
- -fprofile-generate=<directory>
  - clang1 command line option
- -fprofile-generate[=<dirname>]
  - command line option
- -fprofile-instr-generate
  - clang command line option
- -fprofile-instr-generate=<file>
  - clang1 command line option
- -fprofile-instr-use
  - clang command line option
- -fprofile-instr-use=<arg>
  - clang1 command line option
- -fprofile-list=<arg>
  - clang command line option
- -fprofile-list=<pathname>
  - command line option
- -fprofile-remapping-file=<file>
  - clang command line option
  - command line option
- -fprofile-sample-accurate
  - clang command line option
- -fprofile-sample-use
  - clang command line option
- -fprofile-sample-use=<arg>
  - clang1 command line option
- -fprofile-update=<method>
  - clang command line option
- -fprofile-update[=<method>]
  - command line option
- -fprofile-use
  - clang command line option
- -fprofile-use=<pathname>
  - clang1 command line option
- -fprofile-use[=<pathname>]
  - command line option
- -fprotect-parens
  - clang command line option
- -fpseudo-probe-for-profiling
  - clang command line option
- -framework <arg>
  - clang command line option
- -frange-check
  - clang command line option
- -freal-4-real-10
  - clang command line option
- -freal-4-real-16
  - clang command line option
- -freal-4-real-8
  - clang command line option
- -freal-8-real-10
  - clang command line option
- -freal-8-real-16
  - clang command line option
- -freal-8-real-4
  - clang command line option
- -frealloc-lhs
  - clang command line option
- -freciprocal-math
  - clang command line option
- -frecord-command-line
  - clang command line option
- -frecord-gcc-switches
  - clang command line option
- -frecord-marker=<arg>
  - clang command line option
- -frecursive
  - clang command line option
- -freg-struct-return
  - clang command line option
- -fregister-global-dtors-with-atexit
  - clang command line option
- -frelaxed-template-template-args
  - clang command line option
- -frepack-arrays
  - clang command line option
- -freroll-loops
  - clang command line option
- -fretain-comments-from-system-headers
  - clang command line option
- -frewrite-imports
  - clang command line option
- -frewrite-includes
  - clang command line option
- -frewrite-map-file=<arg>
  - clang command line option
- -fropi
  - clang command line option
- -frounding-math
  - clang command line option
- -frtlib-add-rpath
  - clang command line option
- -frtti
  - clang command line option
- -frtti-data
  - clang command line option
- -frwpi
  - clang command line option
- -fsanitize-address-destructor=<arg>
  - clang command line option
- -fsanitize-address-field-padding=<arg>
  - clang command line option
- -fsanitize-address-globals-dead-stripping
  - clang command line option
- -fsanitize-address-poison-custom-array-cookie
  - clang command line option
- -fsanitize-address-use-after-return=<mode>
  - clang command line option
- -fsanitize-address-use-after-scope
  - clang command line option

- -fsanitize-address-use-odr-indicator
  - clang command line option
- -fsanitize-blacklist=<arg>
  - clang command line option
- -fsanitize-cfi-canonical-jump-tables
  - clang command line option
- -fsanitize-cfi-cross-dso
  - clang command line option
  - command line option
- -fsanitize-cfi-icall-generalize-pointers
  - clang command line option
  - command line option
- -fsanitize-coverage-allowlist=<arg>
  - clang command line option
- -fsanitize-coverage-blacklist=<arg>
  - clang command line option
- -fsanitize-coverage-ignorelist=<arg>
  - clang command line option
- -fsanitize-coverage-whitelist=<arg>
  - clang command line option
- -fsanitize-coverage=<arg1>,<arg2>...
  - clang command line option
- -fsanitize-hwaddress-abi=<arg>
  - clang command line option
- -fsanitize-hwaddress-experimental-aliasing
  - clang command line option
- -fsanitize-ignorelist=/path/to/ignorelist/file
  - command line option
- -fsanitize-ignorelist=<arg>
  - clang command line option
- -fsanitize-link-c++-runtime
  - clang command line option
- -fsanitize-link-runtime
  - clang command line option
- -fsanitize-memory-track-origins
  - clang command line option
- -fsanitize-memory-track-origins=<arg>
  - clang1 command line option
- -fsanitize-memory-use-after-dtor
  - clang command line option
- -fsanitize-minimal-runtime
  - clang command line option
- -fsanitize-recover (equivalent to -fsanitize-recover=all)
  - clang command line option
- -fsanitize-recover=<arg1>,<arg2>...
  - clang command line option
- -fsanitize-stats
  - clang command line option
- -fsanitize-system-blacklist=<arg>
  - clang command line option
- -fsanitize-system-ignorelist=<arg>
  - clang command line option
- -fsanitize-thread-atomics
  - clang command line option
- -fsanitize-thread-func-entry-exit
  - clang command line option
- -fsanitize-thread-memory-access
  - clang command line option
- -fsanitize-trap (equivalent to -fsanitize-trap=all)
  - clang command line option
- -fsanitize-trap=<arg1>,<arg2>...
  - clang command line option
- -fsanitize-undefined-strip-path-components=<number>
  - clang command line option
- -fsanitize-undefined-trap-on-error
  - command line option
- -fsanitize-undefined-trap-on-error (equivalent to -fsanitize-trap=undefined)
  - clang command line option
- -fsanitize=<check>,<arg2>...
  - clang command line option
- -fsave-optimization-record
  - clang command line option
- -fsave-optimization-record=<format>
  - clang1 command line option
- -fsecond-underscore
  - clang command line option
- -fseh-exceptions
  - clang command line option
- -fsemantic-interposition
  - clang command line option
- -fshort-enums
  - clang command line option
- -fshort-wchar
  - clang command line option
- -fshow-column
  - clang command line option
  - command line option
- -fshow-overloads=<arg>
  - clang command line option
- -fshow-skipped-includes
  - clang command line option
- -fshow-source-location
  - clang command line option
  - command line option
- -fsign-zero
  - clang command line option
- -fsignaling-math
  - clang command line option
- -fsigned-bitfields
  - clang command line option
- -fsigned-char
  - clang command line option
- -fsigned-zeros
  - clang command line option
- -fsized-deallocation
  - clang command line option
- -fsjlj-exceptions
  - clang command line option
- -fslp-vectorize
  - clang command line option
- -fspell-checking
  - clang command line option
- -fspell-checking-limit=<arg>
  - clang command line option
- -fsplit-dwarf-inlining
  - clang command line option
- -fsplit-lto-unit
  - clang command line option
- -fsplit-machine-functions
  - clang command line option
- -fsplit-stack
  - clang command line option
- -fstack-arrays
  - clang command line option
- -fstack-clash-protection
  - clang command line option
- -fstack-protector
  - clang command line option
- -fstack-protector-all
  - clang command line option
- -fstack-protector-strong
  - clang command line option
- -fstack-size-section
  - clang command line option
- -fstack-usage
  - clang command line option
- -fstandalone-debug
  - clang command line option
  - command line option
- -fstandalone-debug -fno-standalone-debug
  - command line option
- -fstrict-aliasing
  - clang command line option
- -fstrict-enums
  - clang command line option
- -fstrict-float-cast-overflow
  - clang command line option
- -fstrict-overflow
  - clang command line option
- -fstrict-return
  - clang command line option
- -fstrict-vtable-pointers
  - clang command line option
  - command line option
- -fstruct-path-tbaa
  - clang command line option
- -fsycl
  - clang command line option
- -fsymbol-partition=<arg>
  - clang command line option
- -fsyntax-only
  - clang command line option
  - command line option
- -fsystem-module
  - clang command line option
- -ftabstop=<arg>
  - clang command line option
- -ftemplate-backtrace-limit=123
  - command line option
- -ftemplate-backtrace-limit=<arg>
  - clang command line option
- -ftemplate-depth-<arg>
  - clang command line option
- -ftemplate-depth=<arg>
  - clang command line option
- -ftemplate-depth=N
  - command line option
- -fterminated-vtables
  - clang command line option
- -ftest-coverage
  - clang command line option
- -fthin-link-bitcode=<arg>
  - clang command line option
- -fthinlto-index=<arg>
  - clang command line option
- -fthreadsafe-statics
  - clang command line option
- -ftime-report
  - clang command line option
  - command line option
- -ftime-report=<arg>
  - clang1 command line option
- -ftime-trace
  - clang command line option
- -ftime-trace-granularity=<arg>
  - clang command line option
- -ftls-model=<arg>
  - clang command line option
- -ftls-model=<model>
  - command line option
- -ftls-model=[model]
  - command line option
- -ftrap-function=<arg>
  - clang command line option
- -ftrap-function=[name]
  - command line option
- -ftrapping-math
  - clang command line option
- -ftrapv
  - clang command line option
  - command line option
- -ftrapv-handler <arg>
  - clang command line option
- -ftrapv-handler=<function name>
  - clang1 command line option
- -ftree-slp-vectorize
  - clang command line option
- -ftree-vectorize
  - clang command line option
- -ftrigraphs
  - clang command line option
- -ftrivial-auto-var-init-stop-after=<arg>
  - clang command line option
- -ftrivial-auto-var-init=<arg>
  - clang command line option
- -funderscoring
  - clang command line option
- -funique-basic-block-section-names
  - clang command line option
- -funique-internal-linkage-names
  - clang command line option
- -funique-section-names
  - clang command line option
- -funit-at-a-time
  - clang command line option
- -funroll-loops
  - clang command line option
- -funsafe-math-optimizations
  - clang command line option
- -funsigned-bitfields
  - clang command line option
- -funsigned-char
  - clang command line option
- -funwind-tables
  - clang command line option
- -fuse-ctor-homing
  - command line option
- -fuse-cuid=<arg>
  - clang command line option
- -fuse-cxa-atexit
  - clang command line option
- -fuse-init-array
  - clang command line option
- -fuse-ld=<arg>
  - clang command line option
- -fuse-line-directives
  - clang command line option
- -fvalidate-ast-input-files-content
  - clang command line option
- -fveclib=<arg>
  - clang command line option
- -fvectorize
  - clang command line option
- -fverbose-asm
  - clang command line option
- -fvirtual-function-elimination
  - clang command line option
- -fvisibility
  - command line option
- -fvisibility-dllexport=<arg>
  - clang command line option
- -fvisibility-externs-dllimport=<arg>
  - clang command line option
- -fvisibility-externs-nodllstorageclass=<arg>
  - clang command line option
- -fvisibility-from-dllstorageclass
  - clang command line option
- -fvisibility-global-new-delete-hidden
  - clang command line option
- -fvisibility-inlines-hidden
  - clang command line option
- -fvisibility-inlines-hidden-static-local-var
  - clang command line option
- -fvisibility-ms-compat
  - clang command line option
- -fvisibility-nodllstorageclass=<arg>
  - clang command line option
- -fvisibility=<arg>
  - clang command line option
- -fwarn-stack-size=<arg>
  - clang command line option
- -fwasm-exceptions
  - clang command line option
- -fwhole-file
  - clang command line option
- -fwhole-program-vtables
  - clang command line option
  - command line option
- -fwrapv
  - clang command line option
- -fwritable-strings
  - clang command line option
  - command line option
- -fxl-pragma-pack
  - clang command line option
- -fxray-always-emit-customevents
  - clang command line option
- -fxray-always-emit-typedevents
  - clang command line option
- -fxray-always-instrument=<arg>
  - clang command line option
- -fxray-attr-list=<arg>
  - clang command line option
- -fxray-function-groups=<arg>
  - clang command line option
- -fxray-function-index
  - clang command line option
- -fxray-ignore-loops
  - clang command line option
- -fxray-instruction-threshold<arg>
  - clang command line option
- -fxray-instruction-threshold=<arg>
  - clang1 command line option
- -fxray-instrument
  - clang command line option
- -fxray-instrumentation-bundle=<arg>
  - clang command line option
- -fxray-link-deps
  - clang command line option
- -fxray-modes=<arg>
  - clang command line option
- -fxray-never-instrument=<arg>
  - clang command line option
- -fxray-selected-function-group=<arg>
  - clang command line option
- -fzero-initialized-in-bss
  - clang command line option
- -fzvector
  - clang command line option
- -g
  - clang command line option
  - command line option, [1]
- -g0
  - clang command line option
  - command line option
- -g1
  - clang command line option
- -g2
  - clang command line option
- -g3
  - clang command line option
- -G<size>
  - clang command line option
- -G=<arg>
  - clang command line option
- -gcc-toolchain <arg>
  - clang command line option
- -gcodeview
  - clang command line option
- -gcodeview-ghash
  - clang command line option
- -gcolumn-info
  - clang command line option
- -gdbx
  - clang command line option
  - command line option
- -gdwarf
  - clang command line option
- -gdwarf-2
  - clang command line option
- -gdwarf-3
  - clang command line option
- -gdwarf-4
  - clang command line option
- -gdwarf-5
  - clang command line option
- -gdwarf-aranges
  - clang command line option
- -gdwarf32
  - clang command line option
- -gdwarf64
  - clang command line option
- -gembed-source
  - clang command line option
- -gen-reproducer
  - command line option
- -gfull
  - clang command line option
- -ggdb
  - clang command line option
  - command line option
- -ggdb0
  - clang command line option
- -ggdb1
  - clang command line option
- -ggdb2
  - clang command line option
- -ggdb3
  - clang command line option
- -ggnu-pubnames
  - clang command line option
- -ginline-line-tables
  - clang command line option
- -gline-directives-only
  - clang command line option
- -gline-tables-only
  - clang command line option
  - command line option, [1]
- -glldb
  - clang command line option
  - command line option
- -gmlt
  - clang command line option
- -gmodules
  - clang command line option
  - command line option
- -gno-codeview-ghash
  - clang command line option
- -gno-column-info
  - clang command line option
- -gno-embed-source
  - clang command line option
- -gno-gnu-pubnames
  - clang command line option
- -gno-inline-line-tables
  - clang command line option
- -gno-pubnames
  - clang command line option
- -gno-record-command-line
  - clang command line option
- -gno-split-dwarf
  - clang command line option
- -gno-strict-dwarf
  - clang command line option
- -gpubnames
  - clang command line option
- -grecord-command-line
  - clang command line option
- -grecord-gcc-switches
  - clang command line option
- -gsce
  - clang command line option
  - command line option
- -gsplit-dwarf
  - clang command line option
- -gsplit-dwarf=<arg>
  - clang1 command line option
- -gstrict-dwarf
  - clang command line option
- -gused
  - clang command line option
- -gz (equivalent to -gz=zlib)
  - clang command line option
- -gz=<arg>
  - clang command line option
- -H
  - clang command line option
- -headerpad\_max\_install\_names<arg>
  - clang command line option
- -help
  - clang command line option
- -I-
  - clang command line option
- -I<dir>
  - clang command line option
- -I<directory>
  - command line option
- -ibuiltininc
  - clang command line option
- -idirafter<arg>
  - clang command line option
- -iframework<arg>
  - clang command line option
- -iframeworkwithsysroot<directory>
  - clang command line option
- -imacros<file>
  - clang command line option
- -image\_base <arg>
  - clang command line option
- -imultilib <arg>
  - clang command line option
- -include <filename>
  - command line option
- -include-pch <file>
  - clang command line option
- -include<file>
  - clang command line option
- -index-header-map
  - clang command line option
- -init <arg>
  - clang command line option
- -install\_name <arg>
  - clang command line option
- -integrated-as
  - clang command line option
  - command line option
- -interface-stub-version=<arg>
  - clang command line option
- -iprefix<dir>
  - clang command line option
- -iquote<directory>
  - clang command line option
- -isysroot<dir>
  - clang command line option
- -isystem-after<directory>
  - clang command line option
- -isystem<directory>
  - clang command line option
- -ivfsoverlay<arg>
  - clang command line option
- -iwithprefix<dir>
  - clang command line option
- -iwithprefixbefore<dir>
  - clang command line option
- -iwithsysroot<directory>
  - clang command line option
- -keep\_private\_externs
  - clang command line option
- -l<arg>
  - clang command line option
- -L<dir>
  - clang command line option
- -lazy\_framework <arg>
  - clang command line option
- -lazy\_library <arg>
  - clang1 command line option
- -M
  - clang command line option
- -m16
  - clang command line option
- -m32
  - clang command line option
- -m3dnow
  - clang command line option
- -m3dnowa
  - clang command line option
- -m64
  - clang command line option
- -m68000
  - clang command line option
- -m68010
  - clang command line option
- -m68020
  - clang command line option
- -m68030
  - clang command line option
- -m68040
  - clang command line option
- -m68060
  - clang command line option
- -m80387
  - clang command line option
- -m[no-]crc
  - command line option
- -mabi=<arg>
  - clang command line option
- -mabi=vec-default
  - clang1 command line option
- -mabi=vec-extabi
  - clang2 command line option
- -mabicalls
  - clang command line option
- -mabs=<arg>
  - clang command line option
- -Mach
  - clang command line option
- -madx
  - clang command line option
- -maes
  - clang command line option
- -maix-struct-return
  - clang command line option
- -malign-branch-boundary=<arg>
  - clang command line option
- -malign-branch=<arg1>,<arg2>...
  - clang command line option
- -malign-double
  - clang command line option
- -maltivec
  - clang command line option
- -mamdgpu-ieee
  - clang command line option
- -mamx-bf16
  - clang command line option
- -mamx-int8
  - clang command line option
- -mamx-tile
  - clang command line option
- -mappletvos-version-min=<arg>
  - clang command line option
- -mappletvsimulator-version-min=<arg>
  - clang command line option
- -march=<arg>
  - clang command line option
- -march=<cpu>
  - command line option
- -masm=<arg>
  - clang command line option
- -matomics
  - clang command line option
- -mavx
  - clang command line option
- -mavx2
  - clang command line option
- -mavx512bf16
  - clang command line option
- -mavx512bitalg
  - clang command line option
- -mavx512bw
  - clang command line option
- -mavx512cd
  - clang command line option
- -mavx512dq
  - clang command line option
- -mavx512er
  - clang command line option
- -mavx512f
  - clang command line option
- -mavx512ifma
  - clang command line option
- -mavx512pf
  - clang command line option
- -mavx512vbmi
  - clang command line option
- -mavx512vbmi2
  - clang command line option
- -mavx512vl
  - clang command line option
- -mavx512vnni
  - clang command line option
- -mavx512vp2intersect
  - clang command line option
- -mavx512vpopcntdq
  - clang command line option
- -mavxvnni
  - clang command line option
- -mbackchain
  - clang command line option
- -mbig-endian
  - clang command line option
- -mbmi
  - clang command line option
- -mbmi2
  - clang command line option
- -mbranch-protection=<arg>
  - clang command line option
- -mbranches-within-32B-boundaries
  - clang command line option
- -mbulk-memory
  - clang command line option
- -mcheck-zero-division
  - clang command line option
- -mcldemote
  - clang command line option
- -mclflushopt
  - clang command line option
- -mclwb
  - clang command line option
- -mclzero
  - clang command line option
- -mcmodel=<arg>
  - clang command line option
- -mcmodel=medany (equivalent to -mcmodel=medium)
  - clang command line option
- -mcmodel=medlow (equivalent to -mcmodel=small)
  - clang command line option
- -mcmpb
  - clang command line option
- -mcmse
  - clang command line option
- -mcode-object-v3
  - clang command line option
- -mcode-object-version=<version>
  - clang command line option
- -mcompact-branches=<arg>
  - clang command line option
- -mcompact-branches=[values]
  - command line option
- -mconsole<arg>
  - clang command line option
- -mcpu=<arg>
  - clang1 command line option
- -mcpu=?
  - clang command line option
  - command line option
- -mcrbits
  - clang command line option
- -mcrc
  - clang command line option
- -mcrypto
  - clang command line option
- -mcumode
  - clang command line option
- -mcx16
  - clang command line option
- -MD
  - clang command line option
- -mdefault-build-attributes<arg>
  - clang command line option
- -mdirect-move
  - clang command line option
- -mdll<arg>
  - clang command line option
- -mdouble-float
  - clang command line option
- -mdouble=<arg>
  - clang command line option
- -mdsp
  - clang command line option
- -mdspr2
  - clang command line option
- -mdynamic-no-pic<arg>
  - clang command line option
- -meabi <arg>
  - clang command line option
- -mefpu2
  - clang command line option
- -membedded-data
  - clang command line option
- -menable-experimental-extensions
  - clang command line option
- -menable-unsafe-fp-math
  - clang command line option
- -menqcmd
  - clang command line option
- -mexception-handling
  - clang command line option
- -mexec-model=<arg>
  - clang command line option
- -mexecute-only
  - clang command line option
- -mextern-sdata
  - clang command line option
- -mf16c
  - clang command line option
- -MF<file>
  - clang command line option
- -mfentry
  - clang command line option
- -mfix-cortex-a53-835769
  - clang command line option
- -mfloat-abi=<arg>
  - clang command line option
- -mfloat128
  - clang command line option
- -mfma
  - clang command line option
- -mfma4
  - clang command line option
- -mfp32
  - clang command line option
- -mfp64
  - clang command line option
- -mfpmath=<arg>
  - clang command line option
- -mfprnd
  - clang command line option
- -mfpu=<arg>
  - clang command line option
- -mfsgsbase
  - clang command line option
- -mfxsr
  - clang command line option
- -MG
  - clang command line option
- -mgeneral-regs-only
  - clang command line option
  - command line option
- -mgfni
  - clang command line option
- -mginv
  - clang command line option
- -mglobal-merge
  - clang command line option
- -mgpopt
  - clang command line option
- -mhard-float
  - clang command line option
- -mharden-sls=<arg>
  - clang command line option
- -mhreset
  - clang command line option
- -mhtm
  - clang command line option
- -mhvx
  - clang command line option
- -mhvx-length=<arg>
  - clang command line option
- -mhvx=<arg>
  - clang1 command line option
- -mhwdiv=<arg>
  - clang command line option
- -mhwdiv=[values]
  - command line option
- -mhwmult=<arg>
  - clang command line option
- -miamcu
  - clang command line option
- -mieee-rnd-near
  - clang command line option
- -mignore-xcoff-visibility
  - clang command line option
- -mimplicit-float
  - clang command line option
- -mimplicit-it=<arg>
  - clang command line option
- -mincremental-linker-compatible
  - clang command line option
- -mindirect-jump=<arg>
  - clang command line option
- -minvariant-function-descriptors
  - clang command line option
- -minvpcid
  - clang command line option
- -mios-simulator-version-min=<arg>
  - clang command line option
- -mios-version-min=<arg>
  - clang command line option
- -miphoneos-version-min=<arg>
  - clang command line option
- -miphonesimulator-version-min=<arg>
  - clang command line option
- -mips16
  - clang command line option
- -misel
  - clang command line option
- -MJ<arg>
  - clang command line option
- -mkernel
  - clang command line option
- -mkl
  - clang command line option
- -mldc1-sdc1
  - clang command line option
- -mlinker-version=<arg>
  - clang command line option
- -mlittle-endian
  - clang command line option
- -mllvm <arg>
  - clang command line option
- -mlocal-sdata
  - clang command line option
- -mlong-calls
  - clang command line option
- -mlong-double-128
  - clang command line option
- -mlong-double-64
  - clang command line option
- -mlong-double-80
  - clang command line option
- -mlongcall
  - clang command line option
- -mlvi-cfi
  - clang command line option
- -mlvi-hardening
  - clang command line option
- -mlwp
  - clang command line option
- -mlzcnt
  - clang command line option
- -MM
  - clang command line option
- -mmacos-version-min=<arg>
  - clang command line option
- -mmacosx-version-min=<arg>
  - clang command line option
- -mmadd4
  - clang command line option
- -mmark-bti-property
  - clang command line option
- -mmcu=<arg>
  - clang command line option
- -MMD
  - clang command line option
- -mmemops
  - clang command line option
- -mmfcrf
  - clang command line option
- -mmfocrf
  - clang command line option
- -mmicromips
  - clang command line option
- -mmma
  - clang command line option
- -mmmx
  - clang command line option
- -mmovbe
  - clang command line option
- -mmovdir64b
  - clang command line option
- -mmovdiri
  - clang command line option
- -mms-bitfields
  - clang command line option
- -mmsa
  - clang command line option
- -mmt
  - clang command line option
- -mmultivalue
  - clang command line option
- -mmutable-globals
  - clang command line option
- -mmwaitx
  - clang command line option
- -mnan=<arg>
  - clang command line option
- -mno-3dnow
  - clang command line option
- -mno-3dnowa
  - clang command line option
- -mno-abicalls
  - clang command line option
- -mno-adx
  - clang command line option
- -mno-aes
  - clang command line option
- -mno-altivec
  - clang command line option
- -mno-amdgpu-ieee
  - clang command line option
- -mno-amx-bf16
  - clang command line option
- -mno-amx-int8
  - clang command line option
- -mno-amx-tile
  - clang command line option
- -mno-atomics
  - clang command line option
- -mno-avx
  - clang command line option
- -mno-avx2
  - clang command line option
- -mno-avx512bf16
  - clang command line option
- -mno-avx512bitalg
  - clang command line option
- -mno-avx512bw
  - clang command line option
- -mno-avx512cd
  - clang command line option
- -mno-avx512dq
  - clang command line option
- -mno-avx512er
  - clang command line option
- -mno-avx512f
  - clang command line option
- -mno-avx512ifma
  - clang command line option
- -mno-avx512pf
  - clang command line option
- -mno-avx512vbmi
  - clang command line option
- -mno-avx512vbmi2
  - clang command line option
- -mno-avx512vl
  - clang command line option
- -mno-avx512vnni
  - clang command line option
- -mno-avx512vp2intersect
  - clang command line option
- -mno-avx512vpopcntdq
  - clang command line option
- -mno-avxvnni
  - clang command line option
- -mno-backchain
  - clang command line option
- -mno-bmi
  - clang command line option
- -mno-bmi2
  - clang command line option
- -mno-bulk-memory
  - clang command line option
- -mno-check-zero-division
  - clang command line option
- -mno-cldemote
  - clang command line option
- -mno-clflushopt
  - clang command line option
- -mno-clwb
  - clang command line option
- -mno-clzero
  - clang command line option
- -mno-cmpb
  - clang command line option
- -mno-code-object-v3
  - clang command line option
- -mno-crbits
  - clang command line option
- -mno-crc
  - clang command line option
- -mno-crypto
  - clang command line option
- -mno-cumode
  - clang command line option
- -mno-cx16
  - clang command line option
- -mno-default-build-attributes<arg>
  - clang command line option
- -mno-direct-move
  - clang command line option
- -mno-dsp
  - clang command line option
- -mno-dspr2
  - clang command line option
- -mno-embedded-data
  - clang command line option
- -mno-enqcmd
  - clang command line option
- -mno-exception-handling
  - clang command line option
- -mno-execute-only
  - clang command line option
- -mno-extern-sdata
  - clang command line option
- -mno-f16c
  - clang command line option
- -mno-fix-cortex-a53-835769
  - clang command line option
- -mno-float128
  - clang command line option
- -mno-fma
  - clang command line option
- -mno-fma4
  - clang command line option
- -mno-fprnd
  - clang command line option
- -mno-fsgsbase
  - clang command line option
- -mno-fxsr
  - clang command line option
- -mno-gfni
  - clang command line option
- -mno-ginv
  - clang command line option
- -mno-global-merge
  - clang command line option
- -mno-gpopt
  - clang command line option
- -mno-hreset
  - clang command line option
- -mno-htm
  - clang command line option
- -mno-hvx
  - clang command line option
- -mno-iamcu
  - clang command line option
- -mno-implicit-float
  - clang command line option
- -mno-incremental-linker-compatible
  - clang command line option
- -mno-invariant-function-descriptors
  - clang command line option
- -mno-invpcid
  - clang command line option
- -mno-isel
  - clang command line option
- -mno-kl
  - clang command line option
- -mno-ldc1-sdc1
  - clang command line option
- -mno-local-sdata
  - clang command line option
- -mno-long-calls
  - clang command line option
- -mno-longcall
  - clang command line option
- -mno-lvi-cfi
  - clang command line option
- -mno-lvi-hardening
  - clang command line option
- -mno-lwp
  - clang command line option
- -mno-lzcnt
  - clang command line option
- -mno-madd4
  - clang command line option
- -mno-memops
  - clang command line option
- -mno-mfocrf
  - clang command line option
- -mno-micromips
  - clang command line option
- -mno-mips16
  - clang command line option
- -mno-mma
  - clang command line option
- -mno-mmx
  - clang command line option
- -mno-movbe
  - clang command line option
- -mno-movdir64b
  - clang command line option
- -mno-movdiri
  - clang command line option
- -mno-movt
  - clang command line option
- -mno-ms-bitfields
  - clang command line option
- -mno-msa
  - clang command line option
- -mno-mt
  - clang command line option
- -mno-multivalue
  - clang command line option
- -mno-mutable-globals
  - clang command line option
- -mno-mwaitx
  - clang command line option
- -mno-neg-immediates
  - clang command line option
- -mno-nontrapping-fptoint
  - clang command line option
- -mno-nvj
  - clang command line option
- -mno-nvs
  - clang command line option
- -mno-omit-leaf-frame-pointer
  - clang command line option
- -mno-outline
  - clang command line option
- -mno-outline-atomics
  - clang command line option
- -mno-packed-stack
  - clang command line option
- -mno-packets
  - clang command line option
- -mno-paired-vector-memops
  - clang command line option
- -mno-pclmul
  - clang command line option
- -mno-pconfig
  - clang command line option
- -mno-pcrel
  - clang command line option
- -mno-pku
  - clang command line option
- -mno-popcnt
  - clang command line option
- -mno-popcntd
  - clang command line option
- -mno-power10-vector
  - clang command line option
- -mno-power8-vector
  - clang command line option
- -mno-power9-vector
  - clang command line option
- -mno-prefetchwt1
  - clang command line option
- -mno-prefixed
  - clang command line option
- -mno-prfchw
  - clang command line option
- -mno-ptwrite
  - clang command line option
- -mno-rdpid
  - clang command line option
- -mno-rdrnd
  - clang command line option
- -mno-rdseed
  - clang command line option
- -mno-red-zone
  - clang command line option
- -mno-reference-types
  - clang command line option
- -mno-relax
  - clang command line option
- -mno-relax-all
  - clang command line option
- -mno-restrict-it
  - clang command line option
- -mno-retpoline
  - clang command line option
- -mno-retpoline-external-thunk
  - clang command line option
- -mno-rtd
  - clang command line option
- -mno-rtm
  - clang command line option
- -mno-sahf
  - clang command line option
- -mno-save-restore
  - clang command line option
- -mno-serialize
  - clang command line option
- -mno-seses
  - clang command line option
- -mno-sgx
  - clang command line option
- -mno-sha
  - clang command line option
- -mno-shstk
  - clang command line option
- -mno-sign-ext
  - clang command line option
- -mno-simd128
  - clang command line option
- -mno-soft-float
  - clang command line option
- -mno-spe
  - clang command line option
- -mno-speculative-load-hardening
  - clang command line option
- -mno-sse
  - clang command line option
- -mno-sse2
  - clang command line option
- -mno-sse3
  - clang command line option
- -mno-sse4.1
  - clang command line option
- -mno-sse4.2
  - clang1 command line option
- -mno-sse4a
  - clang command line option
- -mno-ssse3
  - clang command line option
- -mno-stack-arg-probe
  - clang command line option
- -mno-stackrealign
  - clang command line option
- -mno-tail-call
  - clang command line option
- -mno-tbm
  - clang command line option
- -mno-tgsplit
  - clang command line option
- -mno-thumb
  - clang command line option
- -mno-tls-direct-seg-refs
  - clang command line option
- -mno-tsxldtrk
  - clang command line option
- -mno-uintr
  - clang command line option
- -mno-unaligned-access
  - clang command line option
- -mno-unsafe-fp-atomics
  - clang command line option
- -mno-vaes
  - clang command line option
- -mno-virt
  - clang command line option
- -mno-vpclmulqdq
  - clang command line option
- -mno-vsx
  - clang command line option
- -mno-vx
  - clang command line option
- -mno-vzeroupper
  - clang command line option
- -mno-waitpkg
  - clang command line option
- -mno-warn-nonportable-cfstrings
  - clang command line option
- -mno-wavefrontsize64
  - clang command line option
- -mno-wbnoinvd
  - clang command line option
- -mno-widekl
  - clang command line option
- -mno-x87
  - clang command line option
- -mno-xgot
  - clang command line option
- -mno-xop
  - clang command line option
- -mno-xsave
  - clang command line option
- -mno-xsavec
  - clang command line option
- -mno-xsaveopt
  - clang command line option
- -mno-xsaves
  - clang command line option
- -mnocrc
  - clang command line option
- -mnontrapping-fptoint
  - clang command line option
- -mnop-mcount
  - clang command line option
- -mnvj
  - clang command line option
- -mnvs
  - clang command line option
- -module-dependency-dir <arg>
  - clang command line option
- -module-file-info
  - clang command line option
- -momit-leaf-frame-pointer
  - clang command line option
- -moslib=<arg>
  - clang command line option
- -moutline
  - clang command line option
- -moutline-atomics
  - clang command line option
- -MP
  - clang command line option
- -mpacked-stack
  - clang command line option
- -mpackets
  - clang command line option
- -mpad-max-prefix-size=<arg>
  - clang command line option
- -mpaired-vector-memops
  - clang command line option
- -mpascal-strings
  - clang command line option
- -mpclmul
  - clang command line option
- -mpconfig
  - clang command line option
- -mpcrel
  - clang command line option
- -mpku
  - clang command line option
- -mpopcnt
  - clang command line option
- -mpopcntd
  - clang command line option
- -mpower10-vector
  - clang command line option
- -mpower8-vector
  - clang command line option
- -mpower9-vector
  - clang command line option
- -mprefer-vector-width=<arg>
  - clang command line option
- -mprefetchwt1
  - clang command line option
- -mprefixed
  - clang command line option
- -mprfchw
  - clang command line option
- -mprivileged
  - clang command line option
- -mptwrite
  - clang command line option
- -mpure-code
  - clang command line option
- -MQ<arg>
  - clang command line option
- -mqdsp6-compat
  - clang command line option
- -mrdpid
  - clang command line option
- -mrdrnd
  - clang command line option
- -mrdseed
  - clang command line option
- -mrecip
  - clang command line option
- -mrecip=<arg1>,<arg2>...
  - clang1 command line option
- -mrecord-mcount
  - clang command line option
- -mred-zone
  - clang command line option
- -mreference-types
  - clang command line option
- -mregparm=<arg>
  - clang command line option
- -mrelax
  - clang command line option
- -mrelax-all
  - clang command line option
- -mrestrict-it
  - clang command line option
- -mretpoline
  - clang command line option
- -mretpoline-external-thunk
  - clang command line option
- -mrop-protect
  - clang command line option
- -mrtd
  - clang command line option
- -mrtm
  - clang command line option
- -msahf
  - clang command line option
- -msave-restore
  - clang command line option
- -msecure-plt
  - clang command line option
- -mserialize
  - clang command line option
- -mseses
  - clang command line option
- -msgx
  - clang command line option
- -msha
  - clang command line option
- -mshstk
  - clang command line option
- -msign-ext
  - clang command line option
- -msign-return-address=<arg>
  - clang command line option
- -msim
  - clang command line option
- -msimd128
  - clang command line option
- -msingle-float
  - clang command line option
- -msmall-data-limit=<arg>
  - clang command line option
- -msmall-data-threshold=<arg>
  - clang command line option
- -msoft-float
  - clang command line option
- -mspe
  - clang command line option
- -mspeculative-load-hardening
  - clang command line option
- -msse
  - clang command line option
- -msse2
  - clang command line option
- -msse3
  - clang command line option
- -msse4
  - clang1 command line option
- -msse4.1
  - clang command line option
- -msse4.2
  - clang1 command line option
- -msse4a
  - clang command line option
- -mssse3
  - clang command line option
- -mstack-alignment=<arg>
  - clang command line option
- -mstack-arg-probe
  - clang command line option
- -mstack-probe-size=<arg>
  - clang command line option
- -mstack-protector-guard-offset=<arg>
  - clang command line option
- -mstack-protector-guard-reg=<arg>
  - clang command line option
- -mstack-protector-guard=<arg>
  - clang command line option
- -mstackrealign
  - clang command line option
- -msve-vector-bits=<arg>
  - clang command line option
- -msvr4-struct-return
  - clang command line option
- -MT<arg>
  - clang command line option
- -mtail-call
  - clang command line option
- -mtbm
  - clang command line option
- -mtgsplit
  - clang command line option
- -mthread-model <arg>
  - clang command line option
- -mthreads<arg>
  - clang command line option
- -mthumb
  - clang command line option
- -mtls-direct-seg-refs
  - clang command line option
- -mtls-size=<arg>
  - clang command line option
- -mtp=<arg>
  - clang command line option
- -mtsxldtrk
  - clang command line option
- -mtune=<arg>
  - clang1 command line option
- -mtune=?
  - clang command line option
  - command line option
- -mtvos-simulator-version-min=<arg>
  - clang command line option
- -mtvos-version-min=<arg>
  - clang command line option
- -muintr
  - clang command line option
- -multi\_module
  - clang command line option
- -multiply\_defined <arg>
  - clang command line option
- -multiply\_defined\_unused <arg>
  - clang1 command line option
- -munaligned-access
  - clang command line option
- -municode<arg>
  - clang command line option
- -munsafe-fp-atomics
  - clang command line option
- -MV
  - clang command line option
  - command line option
- -mv5 (equivalent to -mcpu=hexagonv5)
  - clang1 command line option
- -mv55 (equivalent to -mcpu=hexagonv55)
  - clang1 command line option
- -mv60 (equivalent to -mcpu=hexagonv60)
  - clang1 command line option
- -mv62 (equivalent to -mcpu=hexagonv62)
  - clang1 command line option
- -mv65 (equivalent to -mcpu=hexagonv65)
  - clang1 command line option
- -mv66 (equivalent to -mcpu=hexagonv66)
  - clang1 command line option
- -mv67 (equivalent to -mcpu=hexagonv67)
  - clang1 command line option
- -mv67t (equivalent to -mcpu=hexagonv67t)
  - clang1 command line option
- -mv68 (equivalent to -mcpu=hexagonv68)
  - clang1 command line option
- -mvaes
  - clang command line option
- -mvirt
  - clang command line option
- -mvpclmulqdq
  - clang command line option
- -mvsx
  - clang command line option
- -mvx
  - clang command line option
- -mvzeroupper
  - clang command line option
- -mwaitpkg
  - clang command line option
- -mwarn-nonportable-cfstrings
  - clang command line option
- -mwatchos-simulator-version-min=<arg>
  - clang command line option
- -mwatchos-version-min=<arg>
  - clang command line option
- -mwatchsimulator-version-min=<arg>
  - clang command line option
- -mwavefrontsize64
  - clang command line option
- -mwbnoinvd
  - clang command line option
- -mwidekl
  - clang command line option
- -mwindows<arg>
  - clang command line option
- -mx32
  - clang command line option
- -mx87
  - clang command line option
- -mxgot
  - clang command line option
- -mxop
  - clang command line option
- -mxsave
  - clang command line option
- -mxsavec
  - clang command line option
- -mxsaveopt
  - clang command line option
- -mxsaves
  - clang command line option
- -mzvector
  - clang command line option
- -no-integrated-as
  - command line option
- -no-integrated-cpp
  - clang command line option
- -no-pedantic
  - clang command line option
- -no-pie
  - clang command line option
- -no-pthread
  - clang command line option
- -no\_dead\_strip\_inits\_and\_terms
  - clang command line option
- -nobuiltininc
  - clang command line option
  - command line option
- -nocudainc
  - clang command line option
- -nocudalib
  - clang command line option
- -nodefaultlibs
  - clang command line option
- -nofixprebinding
  - clang command line option
- -nogpuinc
  - clang command line option
- -nogpulib
  - clang command line option
- -nolibc
  - clang command line option
- -nomultidefs
  - clang command line option
- -nopie
  - clang command line option
- -noprebind
  - clang command line option
- -noprofilelib
  - clang command line option
- -noseglinkedit
  - clang command line option
- -nostartfiles
  - clang command line option
- -nostdinc
  - clang command line option
  - command line option
- -nostdinc++
  - clang1 command line option
- -nostdlib
  - clang1 command line option
- -nostdlib++
  - clang command line option
- -nostdlibinc
  - clang command line option
  - command line option
- -O
  - command line option
- -O (equivalent to -O1)
  - clang command line option
- -o <file>
  - command line option
- -O0
  - command line option
- -O1
  - command line option
- -O2
  - command line option
- -O3
  - command line option
- -O4
  - command line option
- -O<arg>
  - clang command line option
- -o<file>
  - clang command line option
- -ObjC
  - clang command line option
  - command line option
- -ObjC++
  - clang1 command line option
  - command line option
- -objcmt-atomic-property
  - clang command line option
- -objcmt-migrate-all
  - clang command line option
- -objcmt-migrate-annotation
  - clang command line option
- -objcmt-migrate-designated-init
  - clang command line option
- -objcmt-migrate-instancetype
  - clang command line option
- -objcmt-migrate-literals
  - clang command line option
- -objcmt-migrate-ns-macros
  - clang command line option
- -objcmt-migrate-property
  - clang command line option
- -objcmt-migrate-property-dot-syntax
  - clang command line option
- -objcmt-migrate-protocol-conformance
  - clang command line option
- -objcmt-migrate-readonly-property
  - clang command line option
- -objcmt-migrate-readwrite-property
  - clang command line option
- -objcmt-migrate-subscripting
  - clang command line option
- -objcmt-ns-nonatomic-iosonly
  - clang command line option
- -objcmt-returns-innerpointer-property
  - clang command line option
- -objcmt-white-list-dir-path=<arg>
  - clang command line option
- -objcmt-whitelist-dir-path=<arg>
  - clang command line option
- -object
  - clang command line option
- -Ofast
  - command line option
- -Ofast<arg>
  - clang command line option
- -Og
  - command line option
- -Os
  - command line option
- -Oz
  - command line option
- -P
  - clang command line option
- -p
  - clang command line option
- -pagezero\_size<arg>
  - clang command line option
- -pedantic
  - clang command line option
  - command line option
- -pedantic-errors
  - clang command line option
  - command line option
- -pg
  - clang command line option
- -pie
  - clang command line option
- -pipe
  - clang command line option
- -prebind
  - clang command line option
- -prebind\_all\_twolevel\_modules
  - clang1 command line option
- -preload
  - clang command line option
- -print-effective-triple
  - clang command line option
- -print-file-name=<file>
  - clang command line option
  - command line option
- -print-ivar-layout
  - clang command line option
- -print-libgcc-file-name
  - clang command line option
  - command line option
- -print-multi-directory
  - clang command line option
- -print-multi-lib
  - clang command line option
- -print-multiarch
  - clang command line option
- -print-prog-name=<name>
  - clang command line option
  - command line option
- -print-resource-dir
  - clang command line option
- -print-rocm-search-dirs
  - clang command line option
- -print-runtime-dir
  - clang command line option
- -print-search-dirs
  - clang command line option
  - command line option
- -print-supported-cpus
  - clang command line option
- -print-target-triple
  - clang command line option
- -print-targets
  - clang command line option
- -private\_bundle
  - clang command line option
- -pthread
  - clang command line option
- -pthreads
  - clang command line option
- -Qn
  - clang command line option
- -Qunused-arguments
  - clang command line option
  - command line option
- -Qy
  - clang command line option
- -r
  - clang command line option
- -R<remark>
  - clang command line option
- -rdynamic
  - clang command line option
- -read\_only\_relocs <arg>
  - clang command line option
- -relocatable-pch
  - clang command line option
- -remap
  - clang command line option
- -rewrite-legacy-objc
  - clang command line option
- -rewrite-objc
  - clang command line option
- -Rpass-analysis=<arg>
  - clang command line option
- -Rpass-missed=<arg>
  - clang command line option
- -Rpass=<arg>
  - clang command line option
- -rpath <arg>
  - clang command line option
- -rtlib=<arg>
  - clang command line option
- -rtlib=<library>
  - command line option
- -S
  - clang command line option
  - command line option
- -s
  - clang command line option
- -save-stats
  - command line option
- -save-stats (equivalent to -save-stats=cwd)
  - clang command line option
- -save-stats=<arg>
  - clang command line option
- -save-stats=cwd
  - command line option
- -save-stats=obj
  - command line option
- -save-temps
  - command line option
- -save-temps (equivalent to -save-temps=cwd)
  - clang command line option
- -save-temps=<arg>
  - clang command line option
- -sectalign <arg1> <arg2> <arg3>
  - clang command line option
- -sectcreate <arg1> <arg2> <arg3>
  - clang command line option
- -sectobjectsymbols <arg1> <arg2>
  - clang command line option
- -sectorder <arg1> <arg2> <arg3>
  - clang command line option
- -seg1addr<arg>
  - clang command line option
- -seg\_addr\_table <arg>
  - clang command line option
- -seg\_addr\_table\_filename <arg>
  - clang1 command line option
- -segaddr <arg1> <arg2>
  - clang command line option
- -segcreate <arg1> <arg2> <arg3>
  - clang command line option
- -seglinkedit
  - clang command line option
- -segprot <arg1> <arg2> <arg3>
  - clang command line option
- -segs\_read\_<arg>
  - clang command line option
- -segs\_read\_only\_addr <arg>
  - clang1 command line option
- -segs\_read\_write\_addr <arg>
  - clang2 command line option
- -serialize-diagnostics <arg>
  - clang command line option
- -shared
  - clang command line option
- -shared-libasan
  - clang command line option
- -shared-libgcc
  - clang command line option
- -shared-libsan
  - clang command line option
- -single\_module
  - clang command line option
- -specs=<arg>
  - clang command line option
- -static
  - clang command line option
- -static-libgcc
  - clang command line option
- -static-libgfortran
  - clang command line option
- -static-libsan
  - clang command line option
- -static-libstdc++
  - clang command line option
- -static-openmp
  - clang command line option
- -static-pie
  - clang command line option
- -std-default=<arg>
  - clang command line option
- -std=<arg>
  - clang command line option
- -std=<standard>
  - command line option
- -stdlib++-isystem<directory>
  - clang1 command line option
- -stdlib=<arg>
  - clang command line option
- -stdlib=<library>
  - command line option
- -sub\_library<arg>
  - clang command line option
- -sub\_umbrella<arg>
  - clang1 command line option
- -sycl-std=<arg>
  - clang command line option
- -t
  - clang command line option
- -T<script>
  - clang command line option
- -target <architecture>
  - command line option
- -target <arg>
  - clang command line option
- -Tbss<addr>
  - clang command line option
- -Tdata<addr>
  - clang command line option
- -time
  - clang command line option
  - command line option
- -traditional
  - clang command line option
- -traditional-cpp
  - clang command line option
- -trigraphs
  - clang command line option
  - command line option
- -Ttext<addr>
  - clang command line option
- -twolevel\_namespace
  - clang command line option
- -twolevel\_namespace\_hints
  - clang1 command line option
- -u<arg>
  - clang command line option
- -U<macro>
  - clang command line option
- -U<macroname>
  - command line option
- -umbrella <arg>
  - clang command line option
- -undef
  - clang command line option
- -undefined<arg>
  - clang command line option
- -unexported\_symbols\_list <arg>
  - clang command line option
- -unwindlib=<arg>
  - clang command line option
- -v
  - clang command line option
  - command line option
- -verify-pch
  - clang command line option
- -w
  - clang command line option
  - command line option
- -W<warning>
  - clang command line option
- -Wa,<arg>,<arg2>...
  - clang command line option
- -Wa,<args>
  - command line option
- -Wambiguous-member-template
  - command line option
- -Wbind-to-temporary-copy
  - command line option
- -Wdeprecated
  - clang command line option
- -Wdocumentation
  - command line option
- -weak-l<arg>
  - clang command line option
- -weak\_framework <arg>
  - clang command line option
- -weak\_library <arg>
  - clang1 command line option
- -weak\_reference\_mismatches <arg>
  - clang2 command line option
- -Werror
  - command line option
- -Weverything
  - command line option
- -Wextra-tokens
  - command line option
- -Wfoo
  - command line option
- -Wframe-larger-than=<arg>
  - clang command line option
- -whatsloaded
  - clang command line option
- -why\_load
  - clang command line option
- -whyload
  - clang command line option
- -Wl,<arg>,<arg2>...
  - clang command line option
- -Wl,<args>
  - command line option
- -Wlarge-by-value-copy=<arg>
  - clang command line option
- -Wno-deprecated
  - clang command line option
- -Wno-documentation-unknown-command
  - command line option
- -Wno-error=foo
  - command line option
- -Wno-foo
  - command line option
- -Wno-nonportable-cfstrings<arg>
  - clang command line option
- -Wnonportable-cfstrings<arg>
  - clang command line option
- -working-directory<arg>
  - clang command line option
- -working-directory=<arg>
  - clang command line option
- -Wp,<arg>,<arg2>...
  - clang command line option
- -Wp,<args>
  - command line option
- -Wsystem-headers
  - command line option
- -X
  - clang command line option
- -x <language>
  - command line option
- -x<language>
  - clang command line option
- -Xanalyzer <arg>
  - clang command line option
  - command line option
- -Xarch\_<arg1> <arg2>
  - clang command line option
- -Xarch\_device <arg>
  - clang1 command line option
- -Xarch\_host <arg>
  - clang2 command line option
- -Xassembler <arg>
  - clang command line option
  - command line option
- -Xclang <arg>
  - clang command line option
- -Xcuda-fatbinary <arg>
  - clang command line option
- -Xcuda-ptxas <arg>
  - clang command line option
- -Xlinker <arg>
  - clang command line option
  - command line option
- -Xopenmp-target <arg>
  - clang command line option
- -Xopenmp-target=<triple> <arg>
  - clang1 command line option
- -Xpreprocessor <arg>
  - clang command line option
  - command line option
- -y<arg>
  - clang command line option
- -Z
  - clang1 command line option
- -z <arg>
  - clang command line option
- -Z<arg>
  - clang command line option

## C

- clang command line option
  - --amdgpu-arch-tool=<arg>
  - --analyze
  - --analyzer-no-default-checks
  - --analyzer-output<arg>
  - --ansi
  - --assemble
  - --assert <arg>
  - --assert=<arg>
  - --autocomplete=<arg>
  - --bootclasspath <arg>
  - --bootclasspath=<arg>
  - --CLASSPATH <arg>
  - --classpath <arg>
  - --CLASSPATH=<arg>
  - --classpath=<arg>
  - --comments
  - --comments-in-macros
  - --compile
  - --config <arg>
  - --constant-cfstrings
  - --coverage
  - --cuda-compile-host-device
  - --cuda-device-only
  - --cuda-gpu-arch=<arg>
  - --cuda-host-only
  - --cuda-include-ptx=<arg>
  - --cuda-noopt-device-debug
  - --cuda-path-ignore-env
  - --cuda-path=<arg>
  - --debug
  - --debug=<arg>
  - --define-macro <arg>
  - --define-macro=<arg>
  - --dependencies
  - --dyld-prefix <arg>
  - --dyld-prefix=<arg>
  - --emit-static-lib
  - --encoding <arg>
  - --encoding=<arg>
  - --entry
  - --extdirs <arg>
  - --extdirs=<arg>
  - --extra-warnings
  - --for-linker <arg>
  - --for-linker=<arg>
  - --force-link <arg>
  - --force-link=<arg>
  - --gcc-toolchain=<arg>
  - --gpu-bundle-output
  - --gpu-instrument-lib=<arg>
  - --gpu-max-threads-per-block=<arg>
  - --help
  - --help-hidden
  - --hip-device-lib-path=<arg>
  - --hip-device-lib=<arg>
  - --hip-link
  - --hip-path=<arg>
  - --hip-version=<arg>
  - --imacros<file>
  - --imacros=<arg>
  - --include-barrier
  - --include-directory <arg>
  - --include-directory-after <arg>
  - --include-directory-after=<arg>
  - --include-directory=<arg>
  - --include-prefix <arg>
  - --include-prefix=<arg>
  - --include-with-prefix <arg>
  - --include-with-prefix-after <arg>
  - --include-with-prefix-after=<arg>
  - --include-with-prefix-before <arg>
  - --include-with-prefix-before=<arg>
  - --include-with-prefix=<arg>
  - --include<file>
  - --include=<arg>
  - --language <arg>
  - --language=<arg>
  - --ld-path=<arg>
  - --libomptarget-amdgcn-bc-path=<arg>
  - --libomptarget-nvptx-bc-path=<arg>
  - --library-directory <arg>
  - --library-directory=<arg>
  - --mhwdiv <arg>
  - --mhwdiv=<arg>
  - --migrate
  - --no-cuda-include-ptx=<arg>
  - --no-cuda-noopt-device-debug
  - --no-cuda-version-check
  - --no-gpu-bundle-output
  - --no-integrated-cpp
  - --no-line-commands
  - --no-offload-arch=<arg>
  - --no-pedantic
  - --no-standard-includes
  - --no-system-header-prefix=<prefix>
  - --no-undefined
  - --no-warnings
  - --offload-arch=<arg>
  - --optimize
  - --optimize=<arg>
  - --output <arg>
  - --output-class-directory <arg>
  - --output-class-directory=<arg>
  - --output=<arg>
  - --param <arg>
  - --param=<arg>
  - --pedantic
  - --pedantic-errors
  - --pipe
  - --precompile
  - --prefix <arg>
  - --prefix=<arg>
  - --preprocess
  - --print-diagnostic-categories
  - --print-effective-triple
  - --print-file-name <arg>
  - --print-file-name=<file>
  - --print-libgcc-file-name
  - --print-missing-file-dependencies
  - --print-multi-directory
  - --print-multi-lib
  - --print-multiarch
  - --print-prog-name <arg>
  - --print-prog-name=<name>
  - --print-resource-dir
  - --print-rocm-search-dirs
  - --print-runtime-dir
  - --print-search-dirs
  - --print-supported-cpus
  - --print-target-triple
  - --print-targets
  - --profile
  - --profile-blocks
  - --ptxas-path=<arg>
  - --relocatable-pch
  - --resource <arg>
  - --resource=<arg>
  - --rocm-device-lib-path=<arg>
  - --rocm-path=<arg>
  - --rtlib <arg>
  - --rtlib=<arg>
  - --save-stats (equivalent to -save-stats=cwd)
  - --save-stats=<arg>
  - --save-temps (equivalent to -save-temps=cwd)
  - --save-temps=<arg>
  - --serialize-diagnostics <arg>
  - --shared
  - --signed-char
  - --specs=<arg>
  - --static
  - --std <arg>
  - --std=<arg>
  - --stdlib <arg>
  - --stdlib=<arg>
  - --sysroot <arg>
  - --sysroot=<arg>
  - --system-header-prefix <arg>
  - --system-header-prefix=<prefix>
  - --target-help
  - --target=<arg>
  - --trace-includes
  - --traditional
  - --traditional-cpp
  - --trigraphs
  - --undefine-macro <arg>
  - --undefine-macro=<arg>
  - --unsigned-char
  - --unwindlib=<arg>
  - --user-dependencies
  - --verbose
  - --verify-debug-info
  - --version
  - --warn-<arg>
  - --warn-=<arg>
  - --write-dependencies
  - --write-user-dependencies
  - -A-<arg>
  - -a<arg>
  - -A<arg>
  - -all\_load
  - -allowable\_client <arg>
  - -ansi
  - -arch <arg>
  - -arcmt-migrate-emit-errors
  - -arcmt-migrate-report-output <arg>
  - -B<prefix>
  - -bind\_at\_load
  - -bundle
  - -c
  - -C
  - -CC
  - -cl-denorms-are-zero
  - -cl-fast-relaxed-math
  - -cl-finite-math-only
  - -cl-fp32-correctly-rounded-divide-sqrt
  - -cl-kernel-arg-info
  - -cl-mad-enable
  - -cl-no-signed-zeros
  - -cl-no-stdinc
  - -cl-opt-disable
  - -cl-single-precision-constant
  - -cl-std=<arg>
  - -cl-strict-aliasing
  - -cl-uniform-work-group-size
  - -cl-unsafe-math-optimizations
  - -client\_name<arg>
  - -compatibility\_version<arg>
  - -coverage
  - -cuid=<arg>
  - -current\_version<arg>
  - -cxx-isystem<directory>
  - -d
  - -D<macro>=<value>
  - -dA
  - -dD
  - -dead\_strip
  - -dependency-dot <arg>
  - -dependency-file <arg>
  - -dI
  - -dM
  - -dsym-dir<dir>
  - -dumpmachine
  - -dumpversion
  - -dylib\_file <arg>
  - -dylinker
  - -dynamic
  - -dynamiclib
  - -E
  - -e<arg>
  - -EB
  - -EL
  - -emit-ast
  - -emit-interface-stubs
  - -emit-llvm
  - -emit-merged-ifs
  - -enable-trivial-auto-var-init-zero-knowing-it-will-be-removed-from-clang
  - -exported\_symbols\_list <arg>
  - -F<arg>
  - -faapcs-bitfield-load
  - -faapcs-bitfield-width
  - -faccess-control
  - -faddrsig
  - -faggressive-function-elimination
  - -falign-commons
  - -falign-functions
  - -faligned-new=<arg>
  - -fall-intrinsics
  - -fallow-editor-placeholders
  - -fallow-unsupported
  - -faltivec
  - -fansi-escape-codes
  - -fapple-kext
  - -fapple-link-rtlib
  - -fapple-pragma-pack
  - -fapplication-extension
  - -fasm
  - -fasm-blocks
  - -fassociative-math
  - -fassume-sane-operator-new
  - -fast
  - -fastcp
  - -fastf
  - -fasync-exceptions
  - -fasynchronous-unwind-tables
  - -fauto-profile
  - -fauto-profile-accurate
  - -fautolink
  - -fautomatic
  - -fbacktrace
  - -fbasic-block-sections=<arg>
  - -fbinutils-version=<major.minor>
  - -fblas-matmul-limit=<arg>
  - -fblocks
  - -fbootclasspath=<arg>
  - -fborland-extensions
  - -fbounds-check
  - -fbracket-depth=<arg>
  - -fbuild-session-file=<file>
  - -fbuild-session-timestamp=<time since Epoch in seconds>
  - -fbuiltin
  - -fbuiltin-module-map
  - -fc++-abi=<arg>
  - -fcall-saved-x10
  - -fcall-saved-x11
  - -fcall-saved-x12
  - -fcall-saved-x13
  - -fcall-saved-x14
  - -fcall-saved-x15
  - -fcall-saved-x18
  - -fcall-saved-x8
  - -fcall-saved-x9
  - -fcaret-diagnostics
  - -fcf-protection (equivalent to -fcf-protection=full)
  - -fcf-protection=<arg>
  - -fcf-runtime-abi=<arg>
  - -fchar8\_t
  - -fcheck-array-temporaries
  - -fcheck=<arg>
  - -fclang-abi-compat=<version>
  - -fclasspath=<arg>
  - -fcoarray=<arg>
  - -fcolor-diagnostics
  - -fcomment-block-commands=<arg>,<arg2>...
  - -fcommon
  - -fcompile-resource=<arg>
  - -fcomplete-member-pointers
  - -fconstant-cfstrings
  - -fconstant-string-class=<arg>
  - -fconstexpr-backtrace-limit=<arg>
  - -fconstexpr-depth=<arg>
  - -fconstexpr-steps=<arg>
  - -fconvergent-functions
  - -fconvert=<arg>
  - -fcoroutines-ts
  - -fcoverage-compilation-dir=<arg>
  - -fcoverage-mapping
  - -fcoverage-prefix-map=<arg>
  - -fcrash-diagnostics-dir=<dir>
  - -fcray-pointer
  - -fcreate-profile
  - -fcs-profile-generate
  - -fcuda-approx-transcendentals
  - -fcuda-flush-denormals-to-zero
  - -fcuda-rdc
  - -fcuda-short-ptr
  - -fcxx-exceptions
  - -fcxx-modules
  - -fd-lines-as-code
  - -fd-lines-as-comments
  - -fdata-sections
  - -fdebug-compilation-dir <arg>
  - -fdebug-compilation-dir=<arg>
  - -fdebug-default-version=<arg>
  - -fdebug-info-for-profiling
  - -fdebug-macro
  - -fdebug-pass-arguments
  - -fdebug-pass-structure
  - -fdebug-prefix-map=<arg>
  - -fdebug-ranges-base-address
  - -fdebug-types-section
  - -fdeclspec
  - -fdelayed-template-parsing
  - -fdelete-null-pointer-checks
  - -fdenormal-fp-math=<arg>
  - -fdepfile-entry=<arg>
  - -fdiagnostics-absolute-paths
  - -fdiagnostics-color
  - -fdiagnostics-fixit-info
  - -fdiagnostics-format=<arg>
  - -fdiagnostics-hotness-threshold=<value>
  - -fdiagnostics-parseable-fixits
  - -fdiagnostics-print-source-range-info
  - -fdiagnostics-show-category=<arg>
  - -fdiagnostics-show-hotness
  - -fdiagnostics-show-note-include-stack
  - -fdiagnostics-show-option
  - -fdiagnostics-show-template-tree
  - -fdigraphs
  - -fdirect-access-external-data
  - -fdiscard-value-names
  - -fdollar-ok
  - -fdollars-in-identifiers
  - -fdouble-square-bracket-attributes
  - -fdump-fortran-optimized
  - -fdump-fortran-original
  - -fdump-parse-tree
  - -fdwarf-directory-asm
  - -fdwarf-exceptions
  - -felide-constructors
  - -feliminate-unused-debug-symbols
  - -feliminate-unused-debug-types
  - -fembed-bitcode (equivalent to -fembed-bitcode=all)
  - -fembed-bitcode-marker (equivalent to -fembed-bitcode=marker)
  - -fembed-bitcode=<option>
  - -femit-all-decls
  - -femulated-tls
  - -fenable-matrix
  - -fencoding=<arg>
  - -ferror-limit=<arg>
  - -fescaping-block-tail-calls
  - -fexceptions
  - -fexec-charset=<arg>
  - -fexperimental-isel
  - -fexperimental-new-constant-interpreter
  - -fexperimental-relative-c++-abi-vtables
  - -fexperimental-strict-floating-point
  - -fextdirs=<arg>
  - -fextend-arguments=<arg>
  - -fexternal-blas
  - -ff2c
  - -ffast-math
  - -ffile-compilation-dir=<arg>
  - -ffile-prefix-map=<arg>
  - -ffine-grained-bitfield-accesses
  - -ffinite-loops
  - -ffinite-math-only
  - -ffixed-a0
  - -ffixed-a1
  - -ffixed-a2
  - -ffixed-a3
  - -ffixed-a4
  - -ffixed-a5
  - -ffixed-a6
  - -ffixed-d0
  - -ffixed-d1
  - -ffixed-d2
  - -ffixed-d3
  - -ffixed-d4
  - -ffixed-d5
  - -ffixed-d6
  - -ffixed-d7
  - -ffixed-point
  - -ffixed-r19
  - -ffixed-r9
  - -ffixed-x1
  - -ffixed-x10
  - -ffixed-x11
  - -ffixed-x12
  - -ffixed-x13
  - -ffixed-x14
  - -ffixed-x15
  - -ffixed-x16
  - -ffixed-x17
  - -ffixed-x18
  - -ffixed-x19
  - -ffixed-x2
  - -ffixed-x20
  - -ffixed-x21
  - -ffixed-x22
  - -ffixed-x23
  - -ffixed-x24
  - -ffixed-x25
  - -ffixed-x26
  - -ffixed-x27
  - -ffixed-x28
  - -ffixed-x29
  - -ffixed-x3
  - -ffixed-x30
  - -ffixed-x31
  - -ffixed-x4
  - -ffixed-x5
  - -ffixed-x6
  - -ffixed-x7
  - -ffixed-x8
  - -ffixed-x9
  - -ffor-scope
  - -fforce-dwarf-frame
  - -fforce-emit-vtables
  - -fforce-enable-int128
  - -ffp-contract=<arg>
  - -ffp-exception-behavior=<arg>
  - -ffp-model=<arg>
  - -ffpe-trap=<arg>
  - -ffree-line-length-<arg>
  - -ffreestanding
  - -ffrontend-optimize
  - -ffunction-sections
  - -fglobal-isel
  - -fgnu-inline-asm
  - -fgnu-keywords
  - -fgnu-runtime
  - -fgnu89-inline
  - -fgnuc-version=<arg>
  - -fgpu-allow-device-init
  - -fgpu-defer-diag
  - -fgpu-flush-denormals-to-zero
  - -fgpu-rdc
  - -fgpu-sanitize
  - -fheinous-gnu-extensions
  - -fhip-fp32-correctly-rounded-divide-sqrt
  - -fhip-new-launch-api
  - -fhonor-infinites
  - -fhonor-infinities
  - -fhonor-nans
  - -fhosted
  - -fident
  - -fignore-exceptions
  - -filelist <arg>
  - -fimplicit-module-maps
  - -fimplicit-modules
  - -findirect-virtual-calls
  - -finit-character=<arg>
  - -finit-integer=<arg>
  - -finit-local-zero
  - -finit-logical=<arg>
  - -finit-real=<arg>
  - -finline-functions
  - -finline-hint-functions
  - -finput-charset=<arg>
  - -finstrument-function-entry-bare
  - -finstrument-functions
  - -finstrument-functions-after-inlining
  - -finteger-4-integer-8
  - -fintegrated-as
  - -fintegrated-cc1
  - -fjump-tables
  - -fkeep-static-consts
  - -flat\_namespace
  - -flax-vector-conversions (equivalent to -flax-vector-conversions=integer)
  - -flax-vector-conversions=<arg>
  - -flegacy-pass-manager
  - -flimited-precision=<arg>
  - -flto
  - -flto-jobs=<arg>
  - -fmacro-backtrace-limit=<arg>
  - -fmacro-prefix-map=<arg>
  - -fmath-errno
  - -fmax-array-constructor=<arg>
  - -fmax-errors=<arg>
  - -fmax-identifier-length
  - -fmax-stack-var-size=<arg>
  - -fmax-subrecord-length=<arg>
  - -fmax-tokens=<arg>
  - -fmax-type-align=<arg>
  - -fmemory-profile
  - -fmerge-all-constants
  - -fmessage-length=<arg>
  - -fmodule-file-deps
  - -fmodule-file=\[<name>=\]<file>
  - -fmodule-implementation-of <arg>
  - -fmodule-map-file=<file>
  - -fmodule-maps
  - -fmodule-name=<name>
  - -fmodule-private
  - -fmodules
  - -fmodules-cache-path=<directory>
  - -fmodules-decluse
  - -fmodules-disable-diagnostic-validation
  - -fmodules-ignore-macro=<arg>
  - -fmodules-prune-after=<seconds>
  - -fmodules-prune-interval=<seconds>
  - -fmodules-search-all
  - -fmodules-strict-decluse
  - -fmodules-ts
  - -fmodules-user-build-path <directory>
  - -fmodules-validate-input-files-content
  - -fmodules-validate-once-per-build-session
  - -fmodules-validate-system-headers
  - -fms-compatibility
  - -fms-compatibility-version=<arg>
  - -fms-extensions
  - -fms-memptr-rep=<arg>
  - -fms-volatile
  - -fmsc-version=<arg>
  - -fmudflap
  - -fmudflapth
  - -fnested-functions
  - -fnew-alignment <arg>
  - -fnew-alignment=<align>
  - -fnext-runtime
  - -fno-aapcs-bitfield-width
  - -fno-access-control
  - -fno-addrsig
  - -fno-aggressive-function-elimination
  - -fno-align-commons
  - -fno-align-functions
  - -fno-all-intrinsics
  - -fno-allow-editor-placeholders
  - -fno-altivec
  - -fno-apple-pragma-pack
  - -fno-application-extension
  - -fno-asm
  - -fno-asm-blocks
  - -fno-associative-math
  - -fno-assume-sane-operator-new
  - -fno-async-exceptions
  - -fno-asynchronous-unwind-tables
  - -fno-autolink
  - -fno-automatic
  - -fno-backtrace
  - -fno-blocks
  - -fno-borland-extensions
  - -fno-bounds-check
  - -fno-builtin
  - -fno-builtin-<arg>
  - -fno-caret-diagnostics
  - -fno-char8\_t
  - -fno-check-array-temporaries
  - -fno-color-diagnostics
  - -fno-common
  - -fno-complete-member-pointers
  - -fno-constant-cfstrings
  - -fno-coroutines-ts
  - -fno-coverage-mapping
  - -fno-crash-diagnostics
  - -fno-cray-pointer
  - -fno-cuda-approx-transcendentals
  - -fno-cuda-short-ptr
  - -fno-cxx-exceptions
  - -fno-cxx-modules
  - -fno-d-lines-as-code
  - -fno-d-lines-as-comments
  - -fno-data-sections
  - -fno-debug-info-for-profiling
  - -fno-debug-macro
  - -fno-debug-ranges-base-address
  - -fno-debug-types-section
  - -fno-declspec
  - -fno-delayed-template-parsing
  - -fno-delete-null-pointer-checks
  - -fno-diagnostics-color
  - -fno-diagnostics-fixit-info
  - -fno-diagnostics-show-hotness
  - -fno-diagnostics-show-note-include-stack
  - -fno-diagnostics-show-option
  - -fno-digraphs
  - -fno-direct-access-external-data
  - -fno-discard-value-names
  - -fno-dollar-ok
  - -fno-dollars-in-identifiers
  - -fno-double-square-bracket-attributes
  - -fno-dump-fortran-optimized
  - -fno-dump-fortran-original
  - -fno-dump-parse-tree
  - -fno-dwarf-directory-asm
  - -fno-elide-constructors
  - -fno-elide-type
  - -fno-eliminate-unused-debug-symbols
  - -fno-eliminate-unused-debug-types
  - -fno-emulated-tls
  - -fno-escaping-block-tail-calls
  - -fno-exceptions
  - -fno-experimental-new-pass-manager
  - -fno-experimental-relative-c++-abi-vtables
  - -fno-external-blas
  - -fno-f2c
  - -fno-fast-math
  - -fno-fine-grained-bitfield-accesses
  - -fno-finite-loops
  - -fno-finite-math-only
  - -fno-fixed-point
  - -fno-for-scope
  - -fno-force-dwarf-frame
  - -fno-force-emit-vtables
  - -fno-force-enable-int128
  - -fno-frontend-optimize
  - -fno-function-sections
  - -fno-global-isel
  - -fno-gnu-inline-asm
  - -fno-gnu-keywords
  - -fno-gnu89-inline
  - -fno-gpu-allow-device-init
  - -fno-gpu-defer-diag
  - -fno-gpu-flush-denormals-to-zero
  - -fno-gpu-rdc
  - -fno-gpu-sanitize
  - -fno-hip-fp32-correctly-rounded-divide-sqrt
  - -fno-hip-new-launch-api
  - -fno-honor-infinities
  - -fno-honor-nans
  - -fno-ident
  - -fno-implicit-module-maps
  - -fno-implicit-modules
  - -fno-init-local-zero
  - -fno-inline-functions
  - -fno-integer-4-integer-8
  - -fno-integrated-as
  - -fno-integrated-cc1
  - -fno-jump-tables
  - -fno-keep-static-consts
  - -fno-lax-vector-conversions (equivalent to -flax-vector-conversions=none)
  - -fno-legacy-pass-manager
  - -fno-limit-debug-info
  - -fno-lto
  - -fno-math-errno
  - -fno-max-identifier-length
  - -fno-max-type-align
  - -fno-memory-profile
  - -fno-merge-all-constants
  - -fno-module-file-deps
  - -fno-module-private
  - -fno-modules
  - -fno-modules-decluse
  - -fno-modules-search-all
  - -fno-modules-validate-system-headers
  - -fno-ms-compatibility
  - -fno-ms-extensions
  - -fno-objc-arc
  - -fno-objc-arc-exceptions
  - -fno-objc-convert-messages-to-runtime-calls
  - -fno-objc-encode-cxx-class-template-spec
  - -fno-objc-exceptions
  - -fno-objc-infer-related-result-type
  - -fno-objc-legacy-dispatch
  - -fno-objc-nonfragile-abi
  - -fno-objc-weak
  - -fno-offload-lto
  - -fno-omit-frame-pointer
  - -fno-openmp
  - -fno-openmp-simd
  - -fno-operator-names
  - -fno-optimize-sibling-calls
  - -fno-pack-derived
  - -fno-pack-struct
  - -fno-pascal-strings
  - -fno-pch-codegen
  - -fno-pch-debuginfo
  - -fno-pch-instantiate-templates
  - -fno-PIC
  - -fno-pic
  - -fno-PIE
  - -fno-pie
  - -fno-plt
  - -fno-prebuilt-implicit-modules
  - -fno-preserve-as-comments
  - -fno-profile-arcs
  - -fno-profile-generate
  - -fno-profile-instr-generate
  - -fno-profile-instr-use
  - -fno-profile-sample-accurate
  - -fno-profile-sample-use
  - -fno-protect-parens
  - -fno-pseudo-probe-for-profiling
  - -fno-range-check
  - -fno-real-4-real-10
  - -fno-real-4-real-16
  - -fno-real-4-real-8
  - -fno-real-8-real-10
  - -fno-real-8-real-16
  - -fno-real-8-real-4
  - -fno-realloc-lhs
  - -fno-reciprocal-math
  - -fno-record-command-line
  - -fno-recursive
  - -fno-register-global-dtors-with-atexit
  - -fno-relaxed-template-template-args
  - -fno-repack-arrays
  - -fno-reroll-loops
  - -fno-rewrite-imports
  - -fno-rewrite-includes
  - -fno-ropi
  - -fno-rounding-math
  - -fno-rtlib-add-rpath
  - -fno-rtti
  - -fno-rtti-data
  - -fno-rwpi
  - -fno-sanitize-address-poison-custom-array-cookie
  - -fno-sanitize-address-use-after-scope
  - -fno-sanitize-address-use-odr-indicator
  - -fno-sanitize-blacklist
  - -fno-sanitize-cfi-canonical-jump-tables
  - -fno-sanitize-cfi-cross-dso
  - -fno-sanitize-coverage=<arg1>,<arg2>...
  - -fno-sanitize-hwaddress-experimental-aliasing
  - -fno-sanitize-ignorelist
  - -fno-sanitize-link-c++-runtime
  - -fno-sanitize-link-runtime
  - -fno-sanitize-memory-track-origins
  - -fno-sanitize-memory-use-after-dtor
  - -fno-sanitize-minimal-runtime
  - -fno-sanitize-recover=<arg1>,<arg2>...
  - -fno-sanitize-stats
  - -fno-sanitize-thread-atomics
  - -fno-sanitize-thread-func-entry-exit
  - -fno-sanitize-thread-memory-access
  - -fno-sanitize-trap=<arg1>,<arg2>...
  - -fno-sanitize=<arg1>,<arg2>...
  - -fno-save-optimization-record
  - -fno-second-underscore
  - -fno-semantic-interposition
  - -fno-short-enums
  - -fno-short-wchar
  - -fno-show-column
  - -fno-show-source-location
  - -fno-sign-zero
  - -fno-signaling-math
  - -fno-signed-char
  - -fno-signed-zeros
  - -fno-sized-deallocation
  - -fno-slp-vectorize
  - -fno-spell-checking
  - -fno-split-dwarf-inlining
  - -fno-split-lto-unit
  - -fno-split-machine-functions
  - -fno-split-stack
  - -fno-stack-arrays
  - -fno-stack-clash-protection
  - -fno-stack-protector
  - -fno-stack-size-section
  - -fno-standalone-debug
  - -fno-strict-aliasing
  - -fno-strict-enums
  - -fno-strict-float-cast-overflow
  - -fno-strict-modules-decluse
  - -fno-strict-overflow
  - -fno-strict-return
  - -fno-strict-vtable-pointers
  - -fno-struct-path-tbaa
  - -fno-sycl
  - -fno-temp-file
  - -fno-test-coverage
  - -fno-threadsafe-statics
  - -fno-trapping-math
  - -fno-trigraphs
  - -fno-underscoring
  - -fno-unique-basic-block-section-names
  - -fno-unique-internal-linkage-names
  - -fno-unique-section-names
  - -fno-unit-at-a-time
  - -fno-unroll-loops
  - -fno-unsafe-math-optimizations
  - -fno-unsigned-char
  - -fno-unwind-tables
  - -fno-use-cxa-atexit
  - -fno-use-init-array
  - -fno-use-line-directives
  - -fno-vectorize
  - -fno-verbose-asm
  - -fno-virtual-function-elimination
  - -fno-visibility-from-dllstorageclass
  - -fno-visibility-inlines-hidden
  - -fno-visibility-inlines-hidden-static-local-var
  - -fno-whole-file
  - -fno-whole-program-vtables
  - -fno-working-directory
  - -fno-wrapv
  - -fno-xl-pragma-pack
  - -fno-xray-always-emit-customevents
  - -fno-xray-always-emit-typedevents
  - -fno-xray-function-index
  - -fno-xray-ignore-loops
  - -fno-xray-instrument
  - -fno-zero-initialized-in-bss
  - -fno-zvector
  - -fno\_modules-validate-input-files-content
  - -fnoxray-link-deps
  - -fobjc-abi-version=<arg>
  - -fobjc-arc
  - -fobjc-arc-exceptions
  - -fobjc-convert-messages-to-runtime-calls
  - -fobjc-disable-direct-methods-for-testing
  - -fobjc-encode-cxx-class-template-spec
  - -fobjc-exceptions
  - -fobjc-infer-related-result-type
  - -fobjc-legacy-dispatch
  - -fobjc-link-runtime
  - -fobjc-nonfragile-abi
  - -fobjc-nonfragile-abi-version=<arg>
  - -fobjc-runtime=<arg>
  - -fobjc-sender-dependent-dispatch
  - -fobjc-weak
  - -foffload-lto
  - -fomit-frame-pointer
  - -fopenmp
  - -fopenmp-simd
  - -fopenmp-targets=<arg1>,<arg2>...
  - -fopenmp-version=<arg>
  - -foperator-arrow-depth=<arg>
  - -foperator-names
  - -foptimization-record-file=<file>
  - -foptimization-record-passes=<regex>
  - -foptimize-sibling-calls
  - -force\_cpusubtype\_ALL
  - -forder-file-instrumentation
  - -foutput-class-dir=<arg>
  - -fpack-derived
  - -fpack-struct
  - -fparse-all-comments
  - -fpascal-strings
  - -fpass-plugin=<dsopath>
  - -fpatchable-function-entry=<N,M>
  - -fpcc-struct-return
  - -fpch-codegen
  - -fpch-debuginfo
  - -fpch-instantiate-templates
  - -fpch-preprocess
  - -fpch-validate-input-files-content
  - -fPIC
  - -fpic
  - -fPIE
  - -fpie
  - -fplt
  - -fplugin=<dsopath>
  - -fprebuilt-implicit-modules
  - -fprebuilt-module-path=<directory>
  - -fpreserve-as-comments
  - -fproc-stat-report<arg>
  - -fprofile-arcs
  - -fprofile-dir=<arg>
  - -fprofile-exclude-files=<arg>
  - -fprofile-filter-files=<arg>
  - -fprofile-generate
  - -fprofile-instr-generate
  - -fprofile-instr-use
  - -fprofile-list=<arg>
  - -fprofile-remapping-file=<file>
  - -fprofile-sample-accurate
  - -fprofile-sample-use
  - -fprofile-update=<method>
  - -fprofile-use
  - -fprotect-parens
  - -fpseudo-probe-for-profiling
  - -framework <arg>
  - -frange-check
  - -freal-4-real-10
  - -freal-4-real-16
  - -freal-4-real-8
  - -freal-8-real-10
  - -freal-8-real-16
  - -freal-8-real-4
  - -frealloc-lhs
  - -freciprocal-math
  - -frecord-command-line
  - -frecord-gcc-switches
  - -frecord-marker=<arg>
  - -frecursive
  - -freg-struct-return
  - -fregister-global-dtors-with-atexit
  - -frelaxed-template-template-args
  - -frepack-arrays
  - -freroll-loops
  - -fretain-comments-from-system-headers
  - -frewrite-imports
  - -frewrite-includes
  - -frewrite-map-file=<arg>
  - -fropi
  - -frounding-math
  - -frtlib-add-rpath
  - -frtti
  - -frtti-data
  - -frwpi
  - -fsanitize-address-destructor=<arg>
  - -fsanitize-address-field-padding=<arg>
  - -fsanitize-address-globals-dead-stripping
  - -fsanitize-address-poison-custom-array-cookie
  - -fsanitize-address-use-after-return=<mode>
  - -fsanitize-address-use-after-scope
  - -fsanitize-address-use-odr-indicator
  - -fsanitize-blacklist=<arg>
  - -fsanitize-cfi-canonical-jump-tables
  - -fsanitize-cfi-cross-dso
  - -fsanitize-cfi-icall-generalize-pointers
  - -fsanitize-coverage-allowlist=<arg>
  - -fsanitize-coverage-blacklist=<arg>
  - -fsanitize-coverage-ignorelist=<arg>
  - -fsanitize-coverage-whitelist=<arg>
  - -fsanitize-coverage=<arg1>,<arg2>...
  - -fsanitize-hwaddress-abi=<arg>
  - -fsanitize-hwaddress-experimental-aliasing
  - -fsanitize-ignorelist=<arg>
  - -fsanitize-link-c++-runtime
  - -fsanitize-link-runtime
  - -fsanitize-memory-track-origins
  - -fsanitize-memory-use-after-dtor
  - -fsanitize-minimal-runtime
  - -fsanitize-recover (equivalent to -fsanitize-recover=all)
  - -fsanitize-recover=<arg1>,<arg2>...
  - -fsanitize-stats
  - -fsanitize-system-blacklist=<arg>
  - -fsanitize-system-ignorelist=<arg>
  - -fsanitize-thread-atomics
  - -fsanitize-thread-func-entry-exit
  - -fsanitize-thread-memory-access
  - -fsanitize-trap (equivalent to -fsanitize-trap=all)
  - -fsanitize-trap=<arg1>,<arg2>...
  - -fsanitize-undefined-strip-path-components=<number>
  - -fsanitize-undefined-trap-on-error (equivalent to -fsanitize-trap=undefined)
  - -fsanitize=<check>,<arg2>...
  - -fsave-optimization-record
  - -fsecond-underscore
  - -fseh-exceptions
  - -fsemantic-interposition
  - -fshort-enums
  - -fshort-wchar
  - -fshow-column
  - -fshow-overloads=<arg>
  - -fshow-skipped-includes
  - -fshow-source-location
  - -fsign-zero
  - -fsignaling-math
  - -fsigned-bitfields
  - -fsigned-char
  - -fsigned-zeros
  - -fsized-deallocation
  - -fsjlj-exceptions
  - -fslp-vectorize
  - -fspell-checking
  - -fspell-checking-limit=<arg>
  - -fsplit-dwarf-inlining
  - -fsplit-lto-unit
  - -fsplit-machine-functions
  - -fsplit-stack
  - -fstack-arrays
  - -fstack-clash-protection
  - -fstack-protector
  - -fstack-protector-all
  - -fstack-protector-strong
  - -fstack-size-section
  - -fstack-usage
  - -fstandalone-debug
  - -fstrict-aliasing
  - -fstrict-enums
  - -fstrict-float-cast-overflow
  - -fstrict-overflow
  - -fstrict-return
  - -fstrict-vtable-pointers
  - -fstruct-path-tbaa
  - -fsycl
  - -fsymbol-partition=<arg>
  - -fsyntax-only
  - -fsystem-module
  - -ftabstop=<arg>
  - -ftemplate-backtrace-limit=<arg>
  - -ftemplate-depth-<arg>
  - -ftemplate-depth=<arg>
  - -fterminated-vtables
  - -ftest-coverage
  - -fthin-link-bitcode=<arg>
  - -fthinlto-index=<arg>
  - -fthreadsafe-statics
  - -ftime-report
  - -ftime-trace
  - -ftime-trace-granularity=<arg>
  - -ftls-model=<arg>
  - -ftrap-function=<arg>
  - -ftrapping-math
  - -ftrapv
  - -ftrapv-handler <arg>
  - -ftree-slp-vectorize
  - -ftree-vectorize
  - -ftrigraphs
  - -ftrivial-auto-var-init-stop-after=<arg>
  - -ftrivial-auto-var-init=<arg>
  - -funderscoring
  - -funique-basic-block-section-names
  - -funique-internal-linkage-names
  - -funique-section-names
  - -funit-at-a-time
  - -funroll-loops
  - -funsafe-math-optimizations
  - -funsigned-bitfields
  - -funsigned-char
  - -funwind-tables
  - -fuse-cuid=<arg>
  - -fuse-cxa-atexit
  - -fuse-init-array
  - -fuse-ld=<arg>
  - -fuse-line-directives
  - -fvalidate-ast-input-files-content
  - -fveclib=<arg>
  - -fvectorize
  - -fverbose-asm
  - -fvirtual-function-elimination
  - -fvisibility-dllexport=<arg>
  - -fvisibility-externs-dllimport=<arg>
  - -fvisibility-externs-nodllstorageclass=<arg>
  - -fvisibility-from-dllstorageclass
  - -fvisibility-global-new-delete-hidden
  - -fvisibility-inlines-hidden
  - -fvisibility-inlines-hidden-static-local-var
  - -fvisibility-ms-compat
  - -fvisibility-nodllstorageclass=<arg>
  - -fvisibility=<arg>
  - -fwarn-stack-size=<arg>
  - -fwasm-exceptions
  - -fwhole-file
  - -fwhole-program-vtables
  - -fwrapv
  - -fwritable-strings
  - -fxl-pragma-pack
  - -fxray-always-emit-customevents
  - -fxray-always-emit-typedevents
  - -fxray-always-instrument=<arg>
  - -fxray-attr-list=<arg>
  - -fxray-function-groups=<arg>
  - -fxray-function-index
  - -fxray-ignore-loops
  - -fxray-instruction-threshold<arg>
  - -fxray-instrument
  - -fxray-instrumentation-bundle=<arg>
  - -fxray-link-deps
  - -fxray-modes=<arg>
  - -fxray-never-instrument=<arg>
  - -fxray-selected-function-group=<arg>
  - -fzero-initialized-in-bss
  - -fzvector
  - -g
  - -g0
  - -g1
  - -g2
  - -g3
  - -G<size>
  - -G=<arg>
  - -gcc-toolchain <arg>
  - -gcodeview
  - -gcodeview-ghash
  - -gcolumn-info
  - -gdbx
  - -gdwarf
  - -gdwarf-2
  - -gdwarf-3
  - -gdwarf-4
  - -gdwarf-5
  - -gdwarf-aranges
  - -gdwarf32
  - -gdwarf64
  - -gembed-source
  - -gfull
  - -ggdb
  - -ggdb0
  - -ggdb1
  - -ggdb2
  - -ggdb3
  - -ggnu-pubnames
  - -ginline-line-tables
  - -gline-directives-only
  - -gline-tables-only
  - -glldb
  - -gmlt
  - -gmodules
  - -gno-codeview-ghash
  - -gno-column-info
  - -gno-embed-source
  - -gno-gnu-pubnames
  - -gno-inline-line-tables
  - -gno-pubnames
  - -gno-record-command-line
  - -gno-split-dwarf
  - -gno-strict-dwarf
  - -gpubnames
  - -grecord-command-line
  - -grecord-gcc-switches
  - -gsce
  - -gsplit-dwarf
  - -gstrict-dwarf
  - -gused
  - -gz (equivalent to -gz=zlib)
  - -gz=<arg>
  - -H
  - -headerpad\_max\_install\_names<arg>
  - -help
  - -I-
  - -I<dir>
  - -ibuiltininc
  - -idirafter<arg>
  - -iframework<arg>
  - -iframeworkwithsysroot<directory>
  - -imacros<file>
  - -image\_base <arg>
  - -imultilib <arg>
  - -include-pch <file>
  - -include<file>
  - -index-header-map
  - -init <arg>
  - -install\_name <arg>
  - -integrated-as
  - -interface-stub-version=<arg>
  - -iprefix<dir>
  - -iquote<directory>
  - -isysroot<dir>
  - -isystem-after<directory>
  - -isystem<directory>
  - -ivfsoverlay<arg>
  - -iwithprefix<dir>
  - -iwithprefixbefore<dir>
  - -iwithsysroot<directory>
  - -keep\_private\_externs
  - -l<arg>
  - -L<dir>
  - -lazy\_framework <arg>
  - -M
  - -m16
  - -m32
  - -m3dnow
  - -m3dnowa
  - -m64
  - -m68000
  - -m68010
  - -m68020
  - -m68030
  - -m68040
  - -m68060
  - -m80387
  - -mabi=<arg>
  - -mabicalls
  - -mabs=<arg>
  - -Mach
  - -madx
  - -maes
  - -maix-struct-return
  - -malign-branch-boundary=<arg>
  - -malign-branch=<arg1>,<arg2>...
  - -malign-double
  - -maltivec
  - -mamdgpu-ieee
  - -mamx-bf16
  - -mamx-int8
  - -mamx-tile
  - -mappletvos-version-min=<arg>
  - -mappletvsimulator-version-min=<arg>
  - -march=<arg>
  - -masm=<arg>
  - -matomics
  - -mavx
  - -mavx2
  - -mavx512bf16
  - -mavx512bitalg
  - -mavx512bw
  - -mavx512cd
  - -mavx512dq
  - -mavx512er
  - -mavx512f
  - -mavx512ifma
  - -mavx512pf
  - -mavx512vbmi
  - -mavx512vbmi2
  - -mavx512vl
  - -mavx512vnni
  - -mavx512vp2intersect
  - -mavx512vpopcntdq
  - -mavxvnni
  - -mbackchain
  - -mbig-endian
  - -mbmi
  - -mbmi2
  - -mbranch-protection=<arg>
  - -mbranches-within-32B-boundaries
  - -mbulk-memory
  - -mcheck-zero-division
  - -mcldemote
  - -mclflushopt
  - -mclwb
  - -mclzero
  - -mcmodel=<arg>
  - -mcmodel=medany (equivalent to -mcmodel=medium)
  - -mcmodel=medlow (equivalent to -mcmodel=small)
  - -mcmpb
  - -mcmse
  - -mcode-object-v3
  - -mcode-object-version=<version>
  - -mcompact-branches=<arg>
  - -mconsole<arg>
  - -mcpu=?
  - -mcrbits
  - -mcrc
  - -mcrypto
  - -mcumode
  - -mcx16
  - -MD
  - -mdefault-build-attributes<arg>
  - -mdirect-move
  - -mdll<arg>
  - -mdouble-float
  - -mdouble=<arg>
  - -mdsp
  - -mdspr2
  - -mdynamic-no-pic<arg>
  - -meabi <arg>
  - -mefpu2
  - -membedded-data
  - -menable-experimental-extensions
  - -menable-unsafe-fp-math
  - -menqcmd
  - -mexception-handling
  - -mexec-model=<arg>
  - -mexecute-only
  - -mextern-sdata
  - -mf16c
  - -MF<file>
  - -mfentry
  - -mfix-cortex-a53-835769
  - -mfloat-abi=<arg>
  - -mfloat128
  - -mfma
  - -mfma4
  - -mfp32
  - -mfp64
  - -mfpmath=<arg>
  - -mfprnd
  - -mfpu=<arg>
  - -mfsgsbase
  - -mfxsr
  - -MG
  - -mgeneral-regs-only
  - -mgfni
  - -mginv
  - -mglobal-merge
  - -mgpopt
  - -mhard-float
  - -mharden-sls=<arg>
  - -mhreset
  - -mhtm
  - -mhvx
  - -mhvx-length=<arg>
  - -mhwdiv=<arg>
  - -mhwmult=<arg>
  - -miamcu
  - -mieee-rnd-near
  - -mignore-xcoff-visibility
  - -mimplicit-float
  - -mimplicit-it=<arg>
  - -mincremental-linker-compatible
  - -mindirect-jump=<arg>
  - -minvariant-function-descriptors
  - -minvpcid
  - -mios-simulator-version-min=<arg>
  - -mios-version-min=<arg>
  - -miphoneos-version-min=<arg>
  - -miphonesimulator-version-min=<arg>
  - -mips16
  - -misel
  - -MJ<arg>
  - -mkernel
  - -mkl
  - -mldc1-sdc1
  - -mlinker-version=<arg>
  - -mlittle-endian
  - -mllvm <arg>
  - -mlocal-sdata
  - -mlong-calls
  - -mlong-double-128
  - -mlong-double-64
  - -mlong-double-80
  - -mlongcall
  - -mlvi-cfi
  - -mlvi-hardening
  - -mlwp
  - -mlzcnt
  - -MM
  - -mmacos-version-min=<arg>
  - -mmacosx-version-min=<arg>
  - -mmadd4
  - -mmark-bti-property
  - -mmcu=<arg>
  - -MMD
  - -mmemops
  - -mmfcrf
  - -mmfocrf
  - -mmicromips
  - -mmma
  - -mmmx
  - -mmovbe
  - -mmovdir64b
  - -mmovdiri
  - -mms-bitfields
  - -mmsa
  - -mmt
  - -mmultivalue
  - -mmutable-globals
  - -mmwaitx
  - -mnan=<arg>
  - -mno-3dnow
  - -mno-3dnowa
  - -mno-abicalls
  - -mno-adx
  - -mno-aes
  - -mno-altivec
  - -mno-amdgpu-ieee
  - -mno-amx-bf16
  - -mno-amx-int8
  - -mno-amx-tile
  - -mno-atomics
  - -mno-avx
  - -mno-avx2
  - -mno-avx512bf16
  - -mno-avx512bitalg
  - -mno-avx512bw
  - -mno-avx512cd
  - -mno-avx512dq
  - -mno-avx512er
  - -mno-avx512f
  - -mno-avx512ifma
  - -mno-avx512pf
  - -mno-avx512vbmi
  - -mno-avx512vbmi2
  - -mno-avx512vl
  - -mno-avx512vnni
  - -mno-avx512vp2intersect
  - -mno-avx512vpopcntdq
  - -mno-avxvnni
  - -mno-backchain
  - -mno-bmi
  - -mno-bmi2
  - -mno-bulk-memory
  - -mno-check-zero-division
  - -mno-cldemote
  - -mno-clflushopt
  - -mno-clwb
  - -mno-clzero
  - -mno-cmpb
  - -mno-code-object-v3
  - -mno-crbits
  - -mno-crc
  - -mno-crypto
  - -mno-cumode
  - -mno-cx16
  - -mno-default-build-attributes<arg>
  - -mno-direct-move
  - -mno-dsp
  - -mno-dspr2
  - -mno-embedded-data
  - -mno-enqcmd
  - -mno-exception-handling
  - -mno-execute-only
  - -mno-extern-sdata
  - -mno-f16c
  - -mno-fix-cortex-a53-835769
  - -mno-float128
  - -mno-fma
  - -mno-fma4
  - -mno-fprnd
  - -mno-fsgsbase
  - -mno-fxsr
  - -mno-gfni
  - -mno-ginv
  - -mno-global-merge
  - -mno-gpopt
  - -mno-hreset
  - -mno-htm
  - -mno-hvx
  - -mno-iamcu
  - -mno-implicit-float
  - -mno-incremental-linker-compatible
  - -mno-invariant-function-descriptors
  - -mno-invpcid
  - -mno-isel
  - -mno-kl
  - -mno-ldc1-sdc1
  - -mno-local-sdata
  - -mno-long-calls
  - -mno-longcall
  - -mno-lvi-cfi
  - -mno-lvi-hardening
  - -mno-lwp
  - -mno-lzcnt
  - -mno-madd4
  - -mno-memops
  - -mno-mfocrf
  - -mno-micromips
  - -mno-mips16
  - -mno-mma
  - -mno-mmx
  - -mno-movbe
  - -mno-movdir64b
  - -mno-movdiri
  - -mno-movt
  - -mno-ms-bitfields
  - -mno-msa
  - -mno-mt
  - -mno-multivalue
  - -mno-mutable-globals
  - -mno-mwaitx
  - -mno-neg-immediates
  - -mno-nontrapping-fptoint
  - -mno-nvj
  - -mno-nvs
  - -mno-omit-leaf-frame-pointer
  - -mno-outline
  - -mno-outline-atomics
  - -mno-packed-stack
  - -mno-packets
  - -mno-paired-vector-memops
  - -mno-pclmul
  - -mno-pconfig
  - -mno-pcrel
  - -mno-pku
  - -mno-popcnt
  - -mno-popcntd
  - -mno-power10-vector
  - -mno-power8-vector
  - -mno-power9-vector
  - -mno-prefetchwt1
  - -mno-prefixed
  - -mno-prfchw
  - -mno-ptwrite
  - -mno-rdpid
  - -mno-rdrnd
  - -mno-rdseed
  - -mno-red-zone
  - -mno-reference-types
  - -mno-relax
  - -mno-relax-all
  - -mno-restrict-it
  - -mno-retpoline
  - -mno-retpoline-external-thunk
  - -mno-rtd
  - -mno-rtm
  - -mno-sahf
  - -mno-save-restore
  - -mno-serialize
  - -mno-seses
  - -mno-sgx
  - -mno-sha
  - -mno-shstk
  - -mno-sign-ext
  - -mno-simd128
  - -mno-soft-float
  - -mno-spe
  - -mno-speculative-load-hardening
  - -mno-sse
  - -mno-sse2
  - -mno-sse3
  - -mno-sse4.1
  - -mno-sse4a
  - -mno-ssse3
  - -mno-stack-arg-probe
  - -mno-stackrealign
  - -mno-tail-call
  - -mno-tbm
  - -mno-tgsplit
  - -mno-thumb
  - -mno-tls-direct-seg-refs
  - -mno-tsxldtrk
  - -mno-uintr
  - -mno-unaligned-access
  - -mno-unsafe-fp-atomics
  - -mno-vaes
  - -mno-virt
  - -mno-vpclmulqdq
  - -mno-vsx
  - -mno-vx
  - -mno-vzeroupper
  - -mno-waitpkg
  - -mno-warn-nonportable-cfstrings
  - -mno-wavefrontsize64
  - -mno-wbnoinvd
  - -mno-widekl
  - -mno-x87
  - -mno-xgot
  - -mno-xop
  - -mno-xsave
  - -mno-xsavec
  - -mno-xsaveopt
  - -mno-xsaves
  - -mnocrc
  - -mnontrapping-fptoint
  - -mnop-mcount
  - -mnvj
  - -mnvs
  - -module-dependency-dir <arg>
  - -module-file-info
  - -momit-leaf-frame-pointer
  - -moslib=<arg>
  - -moutline
  - -moutline-atomics
  - -MP
  - -mpacked-stack
  - -mpackets
  - -mpad-max-prefix-size=<arg>
  - -mpaired-vector-memops
  - -mpascal-strings
  - -mpclmul
  - -mpconfig
  - -mpcrel
  - -mpku
  - -mpopcnt
  - -mpopcntd
  - -mpower10-vector
  - -mpower8-vector
  - -mpower9-vector
  - -mprefer-vector-width=<arg>
  - -mprefetchwt1
  - -mprefixed
  - -mprfchw
  - -mprivileged
  - -mptwrite
  - -mpure-code
  - -MQ<arg>
  - -mqdsp6-compat
  - -mrdpid
  - -mrdrnd
  - -mrdseed
  - -mrecip
  - -mrecord-mcount
  - -mred-zone
  - -mreference-types
  - -mregparm=<arg>
  - -mrelax
  - -mrelax-all
  - -mrestrict-it
  - -mretpoline
  - -mretpoline-external-thunk
  - -mrop-protect
  - -mrtd
  - -mrtm
  - -msahf
  - -msave-restore
  - -msecure-plt
  - -mserialize
  - -mseses
  - -msgx
  - -msha
  - -mshstk
  - -msign-ext
  - -msign-return-address=<arg>
  - -msim
  - -msimd128
  - -msingle-float
  - -msmall-data-limit=<arg>
  - -msmall-data-threshold=<arg>
  - -msoft-float
  - -mspe
  - -mspeculative-load-hardening
  - -msse
  - -msse2
  - -msse3
  - -msse4.1
  - -msse4a
  - -mssse3
  - -mstack-alignment=<arg>
  - -mstack-arg-probe
  - -mstack-probe-size=<arg>
  - -mstack-protector-guard-offset=<arg>
  - -mstack-protector-guard-reg=<arg>
  - -mstack-protector-guard=<arg>
  - -mstackrealign
  - -msve-vector-bits=<arg>
  - -msvr4-struct-return
  - -MT<arg>
  - -mtail-call
  - -mtbm
  - -mtgsplit
  - -mthread-model <arg>
  - -mthreads<arg>
  - -mthumb
  - -mtls-direct-seg-refs
  - -mtls-size=<arg>
  - -mtp=<arg>
  - -mtsxldtrk
  - -mtune=?
  - -mtvos-simulator-version-min=<arg>
  - -mtvos-version-min=<arg>
  - -muintr
  - -multi\_module
  - -multiply\_defined <arg>
  - -munaligned-access
  - -municode<arg>
  - -munsafe-fp-atomics
  - -MV
  - -mvaes
  - -mvirt
  - -mvpclmulqdq
  - -mvsx
  - -mvx
  - -mvzeroupper
  - -mwaitpkg
  - -mwarn-nonportable-cfstrings
  - -mwatchos-simulator-version-min=<arg>
  - -mwatchos-version-min=<arg>
  - -mwatchsimulator-version-min=<arg>
  - -mwavefrontsize64
  - -mwbnoinvd
  - -mwidekl
  - -mwindows<arg>
  - -mx32
  - -mx87
  - -mxgot
  - -mxop
  - -mxsave
  - -mxsavec
  - -mxsaveopt
  - -mxsaves
  - -mzvector
  - -no-integrated-cpp
  - -no-pedantic
  - -no-pie
  - -no-pthread
  - -no\_dead\_strip\_inits\_and\_terms
  - -nobuiltininc
  - -nocudainc
  - -nocudalib
  - -nodefaultlibs
  - -nofixprebinding
  - -nogpuinc
  - -nogpulib
  - -nolibc
  - -nomultidefs
  - -nopie
  - -noprebind
  - -noprofilelib
  - -noseglinkedit
  - -nostartfiles
  - -nostdinc
  - -nostdlib++
  - -nostdlibinc
  - -O (equivalent to -O1)
  - -O<arg>
  - -o<file>
  - -ObjC
  - -objcmt-atomic-property
  - -objcmt-migrate-all
  - -objcmt-migrate-annotation
  - -objcmt-migrate-designated-init
  - -objcmt-migrate-instancetype
  - -objcmt-migrate-literals
  - -objcmt-migrate-ns-macros
  - -objcmt-migrate-property
  - -objcmt-migrate-property-dot-syntax
  - -objcmt-migrate-protocol-conformance
  - -objcmt-migrate-readonly-property
  - -objcmt-migrate-readwrite-property
  - -objcmt-migrate-subscripting
  - -objcmt-ns-nonatomic-iosonly
  - -objcmt-returns-innerpointer-property
  - -objcmt-white-list-dir-path=<arg>
  - -objcmt-whitelist-dir-path=<arg>
  - -object
  - -Ofast<arg>
  - -p
  - -P
  - -pagezero\_size<arg>
  - -pedantic
  - -pedantic-errors
  - -pg
  - -pie
  - -pipe
  - -prebind
  - -preload
  - -print-effective-triple
  - -print-file-name=<file>
  - -print-ivar-layout
  - -print-libgcc-file-name
  - -print-multi-directory
  - -print-multi-lib
  - -print-multiarch
  - -print-prog-name=<name>
  - -print-resource-dir
  - -print-rocm-search-dirs
  - -print-runtime-dir
  - -print-search-dirs
  - -print-supported-cpus
  - -print-target-triple
  - -print-targets
  - -private\_bundle
  - -pthread
  - -pthreads
  - -Qn
  - -Qunused-arguments
  - -Qy
  - -r
  - -R<remark>
  - -rdynamic
  - -read\_only\_relocs <arg>
  - -relocatable-pch
  - -remap
  - -rewrite-legacy-objc
  - -rewrite-objc
  - -Rpass-analysis=<arg>
  - -Rpass-missed=<arg>
  - -Rpass=<arg>
  - -rpath <arg>
  - -rtlib=<arg>
  - -S
  - -s
  - -save-stats (equivalent to -save-stats=cwd)
  - -save-stats=<arg>
  - -save-temps (equivalent to -save-temps=cwd)
  - -save-temps=<arg>
  - -sectalign <arg1> <arg2> <arg3>
  - -sectcreate <arg1> <arg2> <arg3>
  - -sectobjectsymbols <arg1> <arg2>
  - -sectorder <arg1> <arg2> <arg3>
  - -seg1addr<arg>
  - -seg\_addr\_table <arg>
  - -segaddr <arg1> <arg2>
  - -segcreate <arg1> <arg2> <arg3>
  - -seglinkedit
  - -segprot <arg1> <arg2> <arg3>
  - -segs\_read\_<arg>
  - -serialize-diagnostics <arg>
  - -shared
  - -shared-libasan
  - -shared-libgcc
  - -shared-libsan
  - -single\_module
  - -specs=<arg>
  - -static
  - -static-libgcc
  - -static-libgfortran
  - -static-libsan
  - -static-libstdc++
  - -static-openmp
  - -static-pie
  - -std-default=<arg>
  - -std=<arg>
  - -stdlib=<arg>
  - -sub\_library<arg>
  - -sycl-std=<arg>
  - -t
  - -T<script>
  - -target <arg>
  - -Tbss<addr>
  - -Tdata<addr>
  - -time
  - -traditional
  - -traditional-cpp
  - -trigraphs
  - -Ttext<addr>
  - -twolevel\_namespace
  - -u<arg>
  - -U<macro>
  - -umbrella <arg>
  - -undef
  - -undefined<arg>
  - -unexported\_symbols\_list <arg>
  - -unwindlib=<arg>
  - -v
  - -verify-pch
  - -w
  - -W<warning>
  - -Wa,<arg>,<arg2>...
  - -Wdeprecated
  - -weak-l<arg>
  - -weak\_framework <arg>
  - -Wframe-larger-than=<arg>
  - -whatsloaded
  - -why\_load
  - -whyload
  - -Wl,<arg>,<arg2>...
  - -Wlarge-by-value-copy=<arg>
  - -Wno-deprecated
  - -Wno-nonportable-cfstrings<arg>
  - -Wnonportable-cfstrings<arg>
  - -working-directory<arg>
  - -working-directory=<arg>
  - -Wp,<arg>,<arg2>...
  - -X
  - -x<language>
  - -Xanalyzer <arg>
  - -Xarch\_<arg1> <arg2>
  - -Xassembler <arg>
  - -Xclang <arg>
  - -Xcuda-fatbinary <arg>
  - -Xcuda-ptxas <arg>
  - -Xlinker <arg>
  - -Xopenmp-target <arg>
  - -Xpreprocessor <arg>
  - -y<arg>
  - -z <arg>
  - -Z<arg>

- clang1 command line option
  - --no-standard-libraries
  - -arch\_errors\_fatal
  - -bundle\_loader <arg>
  - -d<arg>
  - -dylinker\_install\_name<arg>
  - -falign-functions=<arg>
  - -faligned-allocation
  - -faligned-new
  - -fauto-profile=<arg>
  - -fc++-static-destructors
  - -fcs-profile-generate=<directory>
  - -fdiagnostics-color=<arg>
  - -flto=<arg>
  - -fmemory-profile=<directory>
  - -fno-aligned-allocation
  - -fno-c++-static-destructors
  - -fno\_pch-validate-input-files-content
  - -foffload-lto=<arg>
  - -fopenmp=<arg>
  - -force\_flat\_namespace
  - -fpack-struct=<arg>
  - -fproc-stat-report=<arg>
  - -fprofile-generate=<directory>
  - -fprofile-instr-generate=<file>
  - -fprofile-instr-use=<arg>
  - -fprofile-sample-use=<arg>
  - -fprofile-use=<pathname>
  - -fsanitize-memory-track-origins=<arg>
  - -fsave-optimization-record=<format>
  - -ftime-report=<arg>
  - -ftrapv-handler=<function name>
  - -fxray-instruction-threshold=<arg>
  - -gsplit-dwarf=<arg>
  - -lazy\_library <arg>
  - -mabi=vec-default
  - -mcpu=<arg>
  - -mhvx=<arg>
  - -mno-sse4.2
  - -mrecip=<arg1>,<arg2>...
  - -msse4
  - -msse4.2
  - -mtune=<arg>
  - -multiply\_defined\_unused <arg>
  - -mv5 (equivalent to -mcpu=hexagonv5)
  - -mv55 (equivalent to -mcpu=hexagonv55)
  - -mv60 (equivalent to -mcpu=hexagonv60)
  - -mv62 (equivalent to -mcpu=hexagonv62)
  - -mv65 (equivalent to -mcpu=hexagonv65)
  - -mv66 (equivalent to -mcpu=hexagonv66)
  - -mv67 (equivalent to -mcpu=hexagonv67)
  - -mv67t (equivalent to -mcpu=hexagonv67t)
  - -mv68 (equivalent to -mcpu=hexagonv68)
  - -nostdinc++
  - -nostdlib
  - -ObjC++
  - -prebind\_all\_twolevel\_modules
  - -seg\_addr\_table\_filename <arg>
  - -segs\_read\_only\_addr <arg>
  - -stdlib++-isystem<directory>
  - -sub\_umbrella<arg>
  - -twolevel\_namespace\_hints
  - -weak\_library <arg>
  - -Xarch\_device <arg>
  - -Xopenmp-target=<triple> <arg>
  - -Z
- clang2 command line option
  - -arch\_only <arg>
  - -flto=auto
  - -force\_load <arg>
  - -mabi=vec-extabi
  - -segs\_read\_write\_addr <arg>
  - -weak\_reference\_mismatches <arg>
  - -Xarch\_host <arg>
- clang3 command line option
  - -flto=jobserver
- command line option
  - -###
  - --help
  - --print-supported-cpus
  - -ansi
  - -c
  - -cl-ext
  - -cl-no-stdinc
  - -D<macroname>=<value>
  - -E
  - -emit-llvm
  - -F<directory>
  - -f[no-]protect-parens:
  - -f[no-]save-optimization-record[=<format>]
  - -faddrsig
  - -fblocks
  - -fborland-extensions
  - -fbracket-depth=N
  - -fcaret-diagnostics
  - -fcomment-block-commands=[commands]
  - -fcommon
  - -fconstexpr-depth=N
  - -fconstexpr-steps=N
  - -fcrash-diagnostics-dir=<dir>
  - -fcs-profile-generate[=<dirname>]
  - -fdebug-macro
  - -fdeclare-opencl-builtins
  - -fdenormal-fp-math=<value>
  - -fdiagnostics-fixit-info
  - -fdiagnostics-format=clang/msvc/vi
  - -fdiagnostics-parseable-fixits, [1]
  - -fdiagnostics-print-source-range-info
  - -fdiagnostics-show-category=none/id/name
  - -fdiagnostics-show-option
  - -fdiagnostics-show-template-tree
  - -fdiscard-value-names
  - -feliminate-unused-debug-types, [1]
  - -femulated-tls
  - -ferror-limit=123
  - -fexceptions
  - -ffake-address-space-map
  - -ffast-math
  - -fforce-emit-vtables
  - -ffp-contract=<value>
  - -ffp-exception-behavior=<value>
  - -ffp-model=<value>
  - -ffreestanding
  - -fgnuc-version=
  - -finclude-default-header
  - -flax-vector-conversions
  - -flax-vector-conversions=<kind>
  - -flto
  - -flto=full
  - -flto=thin
  - -fmath-errno
  - -fmessage-length
  - -fms-extensions
  - -fmsc-version=
  - -fno-addrsig
  - -fno-assume-sane-operator-new
  - -fno-builtin
  - -fno-common
  - -fno-crash-diagnostics
  - -fno-debug-macro
  - -fno-discard-value-names
  - -fno-elide-type
  - -fno-lax-vector-conversions
  - -fno-objc-nonfragile-abi
  - -fno-sanitize-ignorelist
  - -fno-standalone-debug
  - -fobjc-abi-version=version
  - -fobjc-nonfragile-abi
  - -fobjc-nonfragile-abi-version=<version>
  - -fopenmp-use-tls
  - -foperator-arrow-depth=N
  - -fparse-all-comments
  - -fpascal-strings
  - -fprint-source-range-info
  - -fproc-stat-report=
  - -fprofile-exclude-files=[regexes]
  - -fprofile-filter-files=[regexes]
  - -fprofile-generate[=<dirname>]
  - -fprofile-list=<pathname>
  - -fprofile-remapping-file=<file>
  - -fprofile-update[=<method>]
  - -fprofile-use[=<pathname>]
  - -fsanitize-cfi-cross-dso
  - -fsanitize-cfi-icall-generalize-pointers
  - -fsanitize-ignorelist=/path/to/ignorelist/file
  - -fsanitize-undefined-trap-on-error
  - -fshow-column
  - -fshow-source-location
  - -fstandalone-debug
  - -fstandalone-debug -fno-standalone-debug
  - -fstrict-vtable-pointers
  - -fsyntax-only
  - -ftemplate-backtrace-limit=123
  - -ftemplate-depth=N
  - -ftime-report
  - -ftls-model=<model>
  - -ftls-model=[model]
  - -ftrap-function=[name]
  - -ftrapv
  - -fuse-ctor-homing
  - -fvisibility
  - -fwhole-program-vtables
  - -fwritable-strings
  - -g, [1]
  - -g0
  - -gdbx
  - -gen-reproducer
  - -ggdb
  - -gline-tables-only, [1]
  - -glldb
  - -gmodules
  - -gsce
  - -I<directory>
  - -include <filename>
  - -integrated-as
  - -m[no-]crc
  - -march=<cpu>
  - -mcompact-branches=[values]
  - -mcpu=?
  - -mgeneral-regs-only
  - -mhwdiv=[values]
  - -mtune=?
  - -MV
  - -no-integrated-as
  - -nobuiltininc
  - -nostdinc
  - -nostdlibinc
  - -O
  - -o <file>
  - -O0
  - -O1
  - -O2
  - -O3
  - -O4
  - -ObjC
  - -ObjC++
  - -Ofast
  - -Og
  - -Os
  - -Oz
  - -pedantic
  - -pedantic-errors
  - -print-file-name=<file>
  - -print-libgcc-file-name
  - -print-prog-name=<name>
  - -print-search-dirs
  - -Qunused-arguments
  - -rtlib=<library>
  - -S
  - -save-stats
  - -save-stats=cwd
  - -save-stats=obj
  - -save-temps
  - -std=<standard>
  - -stdlib=<library>
  - -target <architecture>
  - -time
  - -trigraphs
  - -U<macroname>
  - -v
  - -w
  - -Wa,<args>
  - -Wambiguous-member-template
  - -Wbind-to-temporary-copy
  - -Wdocumentation
  - -Werror
  - -Weverything
  - -Wextra-tokens
  - -Wfoo
  - -Wl,<args>
  - -Wno-documentation-unknown-command
  - -Wno-error=foo
  - -Wno-foo
  - -Wp,<args>
  - -Wsystem-headers
  - -x <language>
  - -Xanalyzer <arg>
  - -Xassembler <arg>
  - -Xlinker <arg>
  - -Xpreprocessor <arg>
  - no stage selection option
- CPATH

## E

- environment variable
  - C_INCLUDE_PATH, OBJC_INCLUDE_PATH, CPLUS_INCLUDE_PATH, OBJCPLUS_INCLUDE_PATH
  - CPATH, [1]
  - TMPDIR, TEMP, TMP

## N

- no stage selection option
  - command line option